#!/bin/sh

SNDMSG=/dnt/tainy/tools/sendmsg
MSG_TARGET_WIRED=2
COUNT=1
DNSSTR=""

# udhcpc script edited by Tim Riker <Tim@Rikers.org>
# adapted for iqs by nal

[ -z "$1" ] && echo "Error: should be called from udhcpc" && exit 1

[ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
[ -n "$subnet" ] && NETMASK="netmask $subnet"

MTUSTR=""
if [ -n $mtu ]; then
  MTUSTR=""
else
  MTUSTR="mtu $mtu"
fi

#Create DNS-String
for i in $dns; do
  if [ $COUNT -lt 4 ]; then
    DNSSTR=$DNSSTR"dns$COUNT $i "
  fi
  COUNT=$((COUNT+1))
done

#echo ------------------- udhcpc.sh $1 $interface $ip $subnet

case "$1" in
	deconfig)
		$SNDMSG $MSG_TARGET_WIRED DHCP-DECONFIG interface $interface
		;;
	leasefail)
		$SNDMSG $MSG_TARGET_WIRED DHCP-LEASE-FAIL interface $interface
		;;
	bound)
	  echo "BOUND:$SNDMSG $MSG_TARGET_WIRED DHCP-RENEW interface $interface ip $ip gateway $router netmask $subnet mtu $mtu $DNSSTR"
		$SNDMSG $MSG_TARGET_WIRED DHCP-OPTIONS-WIRED interface $interface ip $ip gateway $router netmask $subnet $MTUSTR $DNSSTR
		;;
	renew)
	  echo "RENEW:$SNDMSG $MSG_TARGET_WIRED DHCP-RENEW interface $interface ip $ip gateway $router netmask $subnet $MTUSTR $DNSSTR"
		$SNDMSG $MSG_TARGET_WIRED DHCP-RENEW interface $interface ip $ip gateway $router netmask $subnet mtu $mtu $DNSSTR
		;;
	*)
		echo "unknown cmd: $1"
		;;
esac

exit 0
