#!/bin/bash

write_control()
{
	echo "*** write controls"
	mkdir -p $tmp_path/DEBIAN
	echo "Package: $PACKAGE"								 > $tmp_path/DEBIAN/control
	echo "Version: $VERSION"								>> $tmp_path/DEBIAN/control
	echo "Release: $RELEASE"								>> $tmp_path/DEBIAN/control
	echo "Architecture: $ARCH"								>> $tmp_path/DEBIAN/control
	echo "Description: $DESCRIPTION"						>> $tmp_path/DEBIAN/control
	echo "Maintainer: Dr.Neuhaus Telekommunikation GmbH"	>> $tmp_path/DEBIAN/control
	echo "Priority: optional"								>> $tmp_path/DEBIAN/control
	echo "Section: base"									>> $tmp_path/DEBIAN/control
	echo "Source: undefined"								>> $tmp_path/DEBIAN/control
	sync
	cat $tmp_path/DEBIAN/control
	return
}

prepare_preinst()
{
	echo "*** prepare preinst"
	mkdir -p $tmp_path/DEBIAN
	echo "#!/bin/sh -e"					 > $tmp_path/DEBIAN/preinst
	sync
	chmod +x $tmp_path/DEBIAN/preinst
	return
}

prepare_postinst()
{
	echo "*** prepare postinst"
	mkdir -p $tmp_path/DEBIAN
	echo "#!/bin/sh -e"					 > $tmp_path/DEBIAN/postinst
	sync
	chmod +x $tmp_path/DEBIAN/postinst
	return
}

prepare_prerm()
{
	echo "*** prepare prerm"
	mkdir -p $tmp_path/DEBIAN
	echo "#!/bin/sh -e"					 > $tmp_path/DEBIAN/prerm
	sync
	chmod +x $tmp_path/DEBIAN/prerm
	return
}

prepare_postrm()
{
	echo "*** prepare postrm"
	mkdir -p $tmp_path/DEBIAN
	echo "#!/bin/sh -e"					 > $tmp_path/DEBIAN/postrm
	sync
	chmod +x $tmp_path/DEBIAN/postrm
	return
}

convert_bootstream_into_ipkg()
{
	KERNEL_LOCAL_VERSION=`cat $PTXDIST_PLATFORMCONFIGDIR/kernel.release`

	VERSION=3.9.11-$KERNEL_LOCAL_VERSION
	PACKAGE=bootstream
	RELEASE=0
	ARCH=$PTXDIST_IPKG_ARCH_STRING
	DESCRIPTION="imx28 bootstream image"

	tmp_path=$PTXDIST_PLATFORMDIR/packages/$PACKAGE-$VERSION
	rm -rf $tmp_path
	mkdir -p $tmp_path/tmp

	write_control
	prepare_preinst
	prepare_postinst
	echo "kobs-ng imgverify -z /tmp/imx28_ivt_linux.sb"	>> $tmp_path/DEBIAN/postinst
	echo "if [ \$? != 0 ]"								>> $tmp_path/DEBIAN/postinst
	echo "then"											>> $tmp_path/DEBIAN/postinst
	echo "  echo \"error - invalid boot stream image\""	>> $tmp_path/DEBIAN/postinst
	echo "else"											>> $tmp_path/DEBIAN/postinst
	echo "  kobs-ng init -z /tmp/imx28_ivt_linux.sb"	>> $tmp_path/DEBIAN/postinst
	echo "  rm -rf /tmp/imx28_ivt_linux.sb"				>> $tmp_path/DEBIAN/postinst
	echo "  echo \"*** postinst done ***\""				>> $tmp_path/DEBIAN/postinst
	echo "fi"											>> $tmp_path/DEBIAN/postinst
	echo "sync"											>> $tmp_path/DEBIAN/postinst

	cp $1/imx28_ivt_linux.sb $tmp_path/tmp/imx28_ivt_linux.sb
	fakeroot $PTXDIST_PLATFORMDIR/sysroot-host/bin/opkg-build -o 0 -g 0 $tmp_path $PTXDIST_PLATFORMDIR/packages
}

convert_bootstream_into_ipkg $1
