#ifndef __MDIO_H_
#define __MDIO_H_

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <errno.h>
#include <fcntl.h>
#include <getopt.h>
#include <syslog.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <net/if.h>
#include <linux/sockios.h>
#include <linux/mii.h>

class cMDIO
{
private:
	struct ifreq ifr;
	int sock, idx;
	int mdio_read(unsigned int phy_id, unsigned int location);
	int mdio_write(unsigned int phy_id, unsigned int location, int value);

public:
	cMDIO(unsigned int phy_index, const char* name);
	~cMDIO();

  bool IsValid() {return (sock>=0);}
	void dump(unsigned int phy_id);
	int read(unsigned int phy_id, unsigned int location);
	int write(unsigned int phy_id, unsigned int location, int value);
};

#endif //__MDIO_H_
