#!/bin/sh

ERROR_CNT=0

Execute()
{
        #echo "Execute: $@"
        "$@"
        status=$?
        if [ $status -ne 0 ];
        then
                echo "ERROR executing: $@"
#                echo "ERROR: $@" >> /root/dnt/update/error
                ERROR_CNT=`expr $ERROR_CNT + 1`
        else
		echo "SUCCESS executing: $@"
	fi
}

writeROMSignature()
{
	/dnt/tainy/halcl eeprom read > /tmp/rom
	DEVID=`cat /tmp/rom | awk '/devid/ {print $2}'`
	HWID=`cat /tmp/rom | awk '/hwid/ {print $2}'`
	HWVER=`cat /tmp/rom | awk '/hwver/ {print $2}'`
	KEY=`cat /tmp/rom | awk '/key/ {print $2}'`
	MAC0=`cat /tmp/rom | awk '/mac0/ {print $2}'`
	MAC1=`cat /tmp/rom | awk '/mac1/ {print $2}'`
	MAC2=`cat /tmp/rom | awk '/mac2/ {print $2}'`
	OEM=`cat /tmp/rom | awk -F'oem' '/oem/ {print $2}' | sed -e 's/^[ \t]*//'`
	PDATE=`cat /tmp/rom | awk '/pdate/ {print $2}'`
	SN=`cat /tmp/rom | awk '/sn/ {print $2}'`
	SWID=`cat /tmp/rom | awk '/swid/ {print $2}'`
	VER=`tail -n 5 /tmp/rom | awk '/ver/ {print $2}'`
	WMBUS=`cat /tmp/rom | awk '/wmbus/ {print $2}'`

	echo "$DEVID$HWID$HWVER$KEY$MAC0$MAC1$MAC2$OEM$PDATE$SN$SWID$VER$WMBUS" > /tmp/rom.string

	Execute openssl dgst -sha1 -sign /etc/key/rompriv.key -out /tmp/rom.sig /tmp/rom.string
	base64 --wrap=0 /tmp/rom.sig > /tmp/rom.sig.64
	 if [ $? -ne 0 ];
        then
                ERROR_CNT=`expr $ERROR_CNT + 1`
        fi
	ROMSIG=`cat /tmp/rom.sig.64`
	echo "Signatur: $ROMSIG"
	Execute /dnt/tainy/halcl eeprom write -romsig "$ROMSIG"
}

writeROMSignature
Execute rm -rf /etc/key/rompriv.key
Execute opkg remove dnt8209halcl
Execute opkg remove dnt8209libhal
#Execute opkg remove memtool
#Execute opkg remove test-auart
#Execute opkg remove test-wmbus-amber
#Execute opkg remove test_sm
Execute opkg install /home/install/*.ipk
Execute rm -rf /home/install
Execute systemctl enable firewall.service
Execute systemctl enable relabel.service
Execute systemctl enable startscm.service
Execute systemctl enable chkdsk.service
Execute systemctl enable chkcurr.service
Execute rm /usr/bin/resetTamper.sh
Execute rm /usr/bin/telnet
Execute rm /usr/sbin/telnetd
Execute rm /.production

if [ "$ERROR_CNT" -eq 0 ];
then
	echo "Production cleanup successful !"
else
	echo "Error on Production cleanup, Errors count: $ERROR_CNT"
fi

exit $ERROR_CNT
