#!/bin/sh

IPTABLES="/usr/sbin/iptables"
IP6TABLES="/usr/sbin/ip6tables"

# initialize firewall

# set policies
echo "set firewall INPUT to Drop"
$IPTABLES -P INPUT DROP
echo "set firewall FORWARD to Drop"
$IPTABLES -P FORWARD DROP
echo "set firewall OUTPUT to ACCEPT"
$IPTABLES -P OUTPUT ACCEPT

# flush
echo "set flush firewall"
$IPTABLES -F

# set rules for established connections
$IPTABLES -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
$IPTABLES -A OUTPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

# set rules for local traffic
$IPTABLES -A INPUT -i lo -j ACCEPT

########## IPv6 Section ####################

# set policies
echo "set firewall INPUT to Drop"
$IP6TABLES -P INPUT DROP
echo "set firewall FORWARD to Drop"
$IP6TABLES -P FORWARD DROP
echo "set firewall OUTPUT to ACCEPT"
$IP6TABLES -P OUTPUT ACCEPT

# flush
echo "set flush firewall"
$IP6TABLES -F

# set rules for established connections
$IP6TABLES -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
$IP6TABLES -A OUTPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

# set rules for local traffic
$IP6TABLES -A INPUT -i lo -j ACCEPT


