#!/bin/sh
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
## Handle with TAINY EEPROM 
# Autor: Lutz Gleitsmann
# Dr. Neuhaus
# Version 2
# Datum 10.09.2015
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
echo $LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/dnt/lib:/dnt/chroot/lib
echo $LD_LIBRARY_PATH
PATH_TO_TEMP_FOLDER="/tmp/"
PATH_TO_EEPROM_PUPLIC_KEY="/etc/key/"
PUBLIC_KEY_NAME="rsa_eep_public.pem"
PRIVATE_KEY_NAME="rsa_eep_private.pem"
PATH_TO_HAL_CLIENT="/dnt/tainy/tools/halcl"

COMMAND=$1
Version=$2
HWID=$3
HWVer=$4
MAC0=$5
MAC1=$6
MAC2=$7
MAC3=$8
MAC4=$9
MAC5=${10}
SN=${11}
DevID=${12}
PDate=${13}
OEM=${14}

#Version="001"
#HWID="12-026"
#HWVer="12345"
#MAC0="01:02:03:04:05:00"
#MAC1="01:02:03:04:05:01"
#MAC2="01:02:03:04:05:02"
#MAC3="01:02:03:04:05:03"
#MAC4="01:02:03:04:05:04"
#MAC5="01:02:03:04:05:05"
#SN="1234567890123456"
#DevID="123456789012345678"
#PDate="20150101"
#OEM="DR.Neuhaus----------"
# tainy_eeprom.sh write Version HWID HWVer MAC0 MAC1 MAC2 MAC3 MAC4 MAC5 SN DevID PDate OEM
# ./tainy_eeprom.sh write 001 12-026 12345 02:02:03:04:05:00 02:02:03:04:05:01 02:02:03:04:05:02 02:02:03:04:05:03 02:02:03:04:05:04 02:02:03:04:05:05 1234567890123456 123456789012345678 20150101 DR.Neuhaus----------
# ./tainy_eeprom.sh write 001 12-026 12345 02:02:03:04:05:A0 02:02:03:04:05:A1 02:02:03:04:05:A2 02:02:03:04:05:A3 02:02:03:04:05:A4 02:02:03:04:05:A5 1234567890123456 123456789012345678 20150101 DR.Neuhaus----------
# ./tainy_eeprom.sh read
# /dnt/tainy/tools/halcl eeprom write -ver $Version -hwid $HWID -hwver $HWVer -mac0 $MAC0 -mac1 $MAC1 -mac2 $MAC2 -mac3 $MAC3 -mac4 $MAC4 -mac5 $MAC5 -sn $SN -devid $DevID -pdate $PDate -oem $OEM
# /dnt/tainy/tools/halcl eeprom write ver $Version -hwid $HWID -hwver $HWVer -mac0 $MAC0 -mac1 $MAC1 -mac2 $MAC2 -mac3 $MAC3 -mac4 $MAC4 -mac5 $MAC5 -sn $SN -devid $DevID -pdate $PDate -oem $OEM	
# ./tainy_eeprom.sh create-sig
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Call_HAL_Client()
{
	echo "Call_HAL_Client"
}
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Clean()
{
	echo "Clean"
}
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Usage()
{
	echo "Usage:TBD"
}
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
if [ $# -eq 0 ]; then
	Usage
fi
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
if [ $# -eq 1 ]; then
	Usage
fi
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Usage()
{
	echo ""
	echo "------------------------------------------------------------------------------------"
	echo "TAINY iQ EEPROM Script"
	echo "------------------------------------------------------------------------------------"
	echo "Please use as follows:"
	echo "Supported Parameters:"
	echo "COMMAND <read, write, clean, create-sig, ver-sig>"
	echo "Version 001 3 digits"
	echo "Hardware-ID (HWID) 12-026 6 digits"
	echo "Hardware Version HWVer 12345 5 digits"
	echo "MAC Address 0-5 (6 MACs to set) 01:02:03:04:05:00 .... 17 digits/characters" 
	echo "Serial Number SN 1234567890123456 16 digits"
	echo "Device-ID 123456789012345678 18 digits"
	echo "Production Date: 20150101 8 digits" 
	echo "OEM Name: DR.Neuhaus---------- Note: always 20 characters to use!!!"
	echo "tainy_eeprom.sh write Version HWID HWVer MAC0 MAC1 MAC2 MAC3 MAC4 MAC5 SN DevID PDate OEM"
	echo "tainy_eeprom.sh write 001 12-026 12345 02:02:03:04:05:00 02:02:03:04:05:01 02:02:03:04:05:02 02:02:03:04:05:03 02:02:03:04:05:04 02:02:03:04:05:05 1234567890123456 123456789012345678 20150101 DR.Neuhaus----------"
	echo "------------------------------------------------------------------------------------"
	echo "Working Path: /etc/key/ and /tmp for Informations"
	echo "The public key file should be placed in /etc/key/ and all the scripts."
	echo "1. For the creation of the eeprom signature place the privat key file to /etc/key/"
	echo "2. Wirte data to eeprom (see eeprom_write.sh). Adapt for production."
	echo "3. Create the signature: Use eeprom_create_signature.sh. (needs the privat key)"
	echo "Optional: Check with eeprom_check_signature.sh (needs the public key) or read content with eeprom_read.sh"
	echo "Every boot needs only the public key to check the eeprom signature"
	echo "NOTE:"
	echo "At last delete the privat Key file from target. DELETE rsa_eep_private.pem."
	echo "NOTE: Public Key file must remain (/etc/key/rsa_eep_public.pem). KEEP rsa_eep_public.pem"
	echo "------------------------------------------------------------------------------------"
	echo ""
	exit 1
}
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
#echo "Total number of command line argument are $#"
#echo "TAINY iQ EEPROM:$1,$2,$3,$4,$5,$6,$7,$8,$9,$10,$11,$12,$13,$14"
#echo "TAINY Command:$1"
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------

#------------------------------------------------------------------------------------------------------------------------------------------------------------------------
if [ $1 = "write" ]; 
then
	echo "TAINYEEPROM: Write"
	#echo "TAINYEEPROM: Lange von Version ${#Version}"
	
	if [ ${#Version} -lt 1 ]; then
	  echo "TAINYEEPROM: Error: The lenght of Version ($Version) is ${#Version} but must be 3"
  	  exit 0
	else
	  echo "TAINYEEPROM: Ok: lenght of Version ($Version) ${#Version}"
	fi

	if [ ${#HWID} -eq 6 ]; then
	  echo "TAINYEEPROM: Ok: lenght of HWID ($) ${#HWID}"
	else
	  echo "TAINYEEPROM: Error: The lenght of HWID ($) is ${#HWID} but must be 6"
  	  exit 0
	fi

	if [ ${#HWVer} -lt 1 ]; then
	  echo "TAINYEEPROM: Error: The lenght of HWVer ($) is ${#HWVer} but must be 5"
  	  exit 0
	else
	  echo "TAINYEEPROM: Ok: lenght of HWVer ($) ${#HWVer}"
	fi

	if [ ${#MAC0} -eq 17 ]; then
	  echo "TAINYEEPROM: Ok: lenght of MAC0 ($MAC0) ${#MAC0}"
	else
	  echo "TAINYEEPROM: Error: The lenght of MAC0 ($MAC0) is ${#MAC0} but must be 17"
	  exit 0
	fi

	if [ ${#MAC1} -eq 17 ]; then
	  echo "TAINYEEPROM: Ok: lenght of MAC1 ($MAC1) ${#MAC1}"
	else
	  echo "TAINYEEPROM: Error: The lenght of MAC1 ($MAC1) is ${#MAC1} but must be 17"
	  exit 0
	fi
	
	if [ ${#MAC2} -eq 17 ]; then
	  echo "TAINYEEPROM: Ok: lenght of MAC2 ($MAC2) ${#MAC2}"
	else
	  echo "TAINYEEPROM: Error: The lenght of MAC2 ($MAC2) is ${#MAC2} but must be 17"
	  exit 0
	fi
	
	if [ ${#MAC3} -eq 17 ]; then
	  echo "TAINYEEPROM: Ok: lenght of MAC3 ($MAC3) ${#MAC3}"
	else
	  echo "TAINYEEPROM: Error: The lenght of MAC3 ($MAC3) is ${#MAC3} but must be 17"
	  exit 0
	fi
	
	if [ ${#MAC4} -eq 17 ]; then
	  echo "TAINYEEPROM: Ok: lenght of MAC4 ($MAC4) ${#MAC4}"
	else
	  echo "TAINYEEPROM: Error: The lenght of MAC4 ($MAC4) is ${#MAC4} but must be 17"
	  exit 0
	fi
	
	if [ ${#MAC5} -eq 17 ]; then
	  echo "TAINYEEPROM: Ok: lenght of MAC5 ($MAC5) ${#MAC5}"
	else
	  echo "TAINYEEPROM: Error: The lenght of MAC5 ($MAC5) is ${#MAC5} but must be 17"
	  exit 0
	fi
	
	if [ ${#SN} -le 1 ]; then
	  echo "TAINYEEPROM: Error lenght of SN"
  	  exit 0
	else
	  echo "TAINYEEPROM: Ok: lenght of SN ($SN) ${#SN}"
	fi

	if [ ${#DevID} -lt 1 ]; then
	  echo "TAINYEEPROM: Error lenght"
	  exit 0	  
	else
	  echo "TAINYEEPROM: Ok: lenght of DevID ($DevID) ${#DevID}"
	fi

	if [ ${#PDate} -le 1 ]; then
	  echo "TAINYEEPROM: Error: The lenght of PDate ($PDate) is ${#PDate} but must be 8"
	  exit 0	  
	else
	  echo "TAINYEEPROM: Ok: lenght of PDate ($PDate) ${#PDate}"
	fi

	if [ ${#OEM} -le 1 ]; then
	  echo "TAINYEEPROM: Error: The lenght of OEM ($OEM) is ${#OEM} but must be 20"
	  exit 0	  
	else
	  echo "TAINYEEPROM: Ok: lenght of OEM ($OEM) ${#OEM}"
	fi
	
	$PATH_TO_HAL_CLIENT eeprom write -ver $Version -hwid $HWID -hwver $HWVer -mac0 $MAC0 -mac1 $MAC1 -mac2 $MAC2 -mac3 $MAC3 -mac4 $MAC4 -mac5 $MAC5 -sn $SN -devid $DevID -pdate $PDate -oem $OEM	 
	exit 1
elif [ $1 = "read" ]; then
	echo "TAINYEEPROM: Read"
	$PATH_TO_HAL_CLIENT eeprom read
	$PATH_TO_HAL_CLIENT eeprom read > /tmp/eeprom_read_output
	exit 1
elif [ $1 = "clean" ]; then
	echo "TAINYEEPROM: EEPROM Clean"
	$PATH_TO_HAL_CLIENT eeprom clean
	exit 1
elif [ $1 = "create-sig" ]; then
	echo "TAINYEEPROM: Create EEPROM Signature"
	$PATH_TO_HAL_CLIENT eeprom dosig
	exit 1
elif [ $1 = "ver-sig" ]; then
	echo "TAINYEEPROM: Verify EEPROM Signature"
	$PATH_TO_HAL_CLIENT eeprom versig
	exit 1
elif [ $1 = "help" ]; then
	Usage
	exit 0
else
	echo "TAINY EMOD/HMOD V3 and Siemens OEM Build Script"
	Usage
	exit 0
fi
#------------------------------------------------------------------------------------------------------------------------------------------------------------------------



