#!/bin/sh
#************************************************#
#      Script to establish 5 seperate vlans      #
#            on each switch port one             #
#                                                #
#               Spring  2015                     #
#                                                #
#************************************************#

do_init_switch()
{
# Switch anschalten
# Switch ON
echo 1 > /sys/class/gpio/gpio49/value
# RESET SWITCH
echo 1 > /sys/class/gpio/gpio47/value

/usr/local/bin/enable_switch.sh

vconfig rem eth1.1
vconfig rem eth1.2
vconfig rem eth1.3
vconfig rem eth1.4
vconfig rem eth1.5

mii_demo -wr eth0 24 0x08 0x0600
mii_demo -wr eth0 25 0x08 0x0600
mii_demo -wr eth0 26 0x08 0x0600
mii_demo -wr eth0 27 0x08 0x0600
mii_demo -wr eth0 28 0x08 0x0600
mii_demo -wr eth0 29 0x08 0x0400

mii_demo -wr eth0 24 0x04 0x007F
mii_demo -wr eth0 24 0x06 0x007E
mii_demo -wr eth0 24 0x07 0x0001
mii_demo -wr eth0 24 0x08 0x0600

mii_demo -wr eth0 25 0x04 0x007F
mii_demo -wr eth0 25 0x06 0x007D
mii_demo -wr eth0 25 0x07 0x0002
mii_demo -wr eth0 25 0x08 0x0600

mii_demo -wr eth0 26 0x04 0x007F
mii_demo -wr eth0 26 0x06 0x007B
mii_demo -wr eth0 26 0x07 0x0003
mii_demo -wr eth0 26 0x08 0x0600

mii_demo -wr eth0 27 0x04 0x007F
mii_demo -wr eth0 27 0x06 0x0077
mii_demo -wr eth0 27 0x07 0x0004
mii_demo -wr eth0 27 0x08 0x0600

mii_demo -wr eth0 28 0x04 0x007F
mii_demo -wr eth0 28 0x06 0x006F
mii_demo -wr eth0 28 0x07 0x0005
mii_demo -wr eth0 28 0x08 0x0600

mii_demo -wr eth0 29 0x04 0x007F
mii_demo -wr eth0 29 0x06 0x005F
mii_demo -wr eth0 29 0x08 0x0400

mii_demo -wr eth0 31 2 0x0000
mii_demo -wr eth0 31 6 0x1001
mii_demo -wr eth0 31 7 0x3331
mii_demo -wr eth0 31 8 0x0323
mii_demo -wr eth0 31 5 0xB000

mii_demo -wr eth0 31 6 0x1002
mii_demo -wr eth0 31 7 0x3313
mii_demo -wr eth0 31 8 0x0323
mii_demo -wr eth0 31 5 0xB000

mii_demo -wr eth0 31 6 0x1003
mii_demo -wr eth0 31 7 0x3133
mii_demo -wr eth0 31 8 0x3023
mii_demo -wr eth0 31 5 0xB000

mii_demo -wr eth0 31 6 0x1004
mii_demo -wr eth0 31 7 0x1333
mii_demo -wr eth0 31 8 0x0323
mii_demo -wr eth0 31 5 0xB000

mii_demo -wr eth0 31 6 0x1005
mii_demo -wr eth0 31 7 0x3333
mii_demo -wr eth0 31 8 0x0321
mii_demo -wr eth0 31 5 0xB000

mii_demo -wr eth0 24 0x07 0x0001
mii_demo -wr eth0 25 0x07 0x0002
mii_demo -wr eth0 26 0x07 0x0003
mii_demo -wr eth0 27 0x07 0x0004
mii_demo -wr eth0 28 0x07 0x0005
}

do_enable_vlan_device1()
{
	echo "setup 5 vlans on Device 1"

	vconfig add eth1 1
	vconfig add eth1 2
	vconfig add eth1 3
	vconfig add eth1 4
	vconfig add eth1 5

	ifconfig eth1.1 hw ether 00:60:4C:C7:00:01
	ifconfig eth1.2 hw ether 00:60:4C:C7:00:02
	ifconfig eth1.3 hw ether 00:60:4C:C7:00:03
	ifconfig eth1.4 hw ether 00:60:4C:C7:00:04
	ifconfig eth1.5 hw ether 00:60:4C:C7:00:05

	ifconfig eth1 0.0.0.0
	ifconfig eth1.1 192.168.1.1
	ifconfig eth1.2 192.168.6.1
	ifconfig eth1.3 192.168.3.1
	ifconfig eth1.4 192.168.4.1
	ifconfig eth1.5 192.168.5.1

	ifconfig eth1.1 up
	ifconfig eth1.2 up
	ifconfig eth1.3 up
	ifconfig eth1.4 up
	ifconfig eth1.5 up
	#firewall öffnen
	iptables -P INPUT ACCEPT
}

do_enable_vlan_device2()
{
	echo "setup 5 vlans on Device 2"

	vconfig add eth1 1
	vconfig add eth1 2
	vconfig add eth1 3
	vconfig add eth1 4
	vconfig add eth1 5

	ifconfig eth1.1 hw ether 00:60:4C:C8:00:01
	ifconfig eth1.2 hw ether 00:60:4C:C8:00:02
	ifconfig eth1.3 hw ether 00:60:4C:C8:00:03
	ifconfig eth1.4 hw ether 00:60:4C:C8:00:04
	ifconfig eth1.5 hw ether 00:60:4C:C8:00:05

	ifconfig eth1 0.0.0.0
	ifconfig eth1.1 192.168.1.2
	ifconfig eth1.2 192.168.6.2
	ifconfig eth1.3 192.168.3.2
	ifconfig eth1.4 192.168.4.2
	ifconfig eth1.5 192.168.5.2

	ifconfig eth1.1 up
	ifconfig eth1.2 up
	ifconfig eth1.3 up
	ifconfig eth1.4 up
	ifconfig eth1.5 up
	#firewall öffnen
	iptables -P INPUT ACCEPT
}

if [ "$1" != "" ]; then

	if [ "$1" = "enable_vlan_on_device1" ]; then
		do_init_switch
		do_enable_vlan_device1
		exit
	fi

        if [ "$1" = "enable_vlan_on_device2" ]; then
		do_init_switch
		do_enable_vlan_device2
		exit
	fi
fi

echo ""
echo " Connect 5 Ethernet Cables in order between two Tainy v4 Switches."
echo " Execute this Script on each Tainy one as Device 1 the second as Device 2 "
echo " The Script configures 5 seperate Vlans for each switch port one"
echo " With ifconfig you see 5 seperate networks eth1.1 - eth1.5 "
echo ""
echo "What shall I do? Try one off the following possiblities..."
echo ""
echo "  enable_vlan_on_device1                        - enable vlan on device 1"
echo "  enable_vlan_on_device2                        - enable vlan on device 2"

exit

