#!/bin/sh

POLLTIME=60
# current limit, raw value from lradc
# Durch Messung ermittelt: 2030 = (793 * 295 mA) / 115 mA
LIMIT=2030

checkForPowerOn12v()
{
	GPIOVALUE=`cat /sys/class/gpio/gpio67/value`
	if [ $? -ne 0 ];
	then
		#echo "checkForPowerOn12v: ERROR on determing activity state of 12v Meterbus !"
		GPIOVALUE=0
	fi
	return "$GPIOVALUE"
}

getValueLRADC3()
{
	LRADC3VALUE=`cat /sys/bus/iio/devices/iio\:device0/in_voltage3_raw`
	if [ $? -ne 0 ];
	then
		#echo "getValueLRADC3: ERROR on reading LRADC3 value !"
		LRADC3VALUE=0
	fi
	return "$LRADC3VALUE"
}

shutdown12v()
{
	echo 0 > /sys/class/gpio/gpio67/value
	touch /.shutdown12v
}

restart12v()
{
	echo 1 > /sys/class/gpio/gpio67/value
	rm -rf /.shutdown12v
}

rm -rf /.shutdown12v
while true
do
	sleep $POLLTIME
	if [ -e "/.shutdown12v" ];
	then
		restart12v
	fi
	checkForPowerOn12v
	IS12VACTIVE=$?
	#echo "IS12VACTIVE: $IS12VACTIVE"
	if [ $IS12VACTIVE -eq 1 ];
	then
		getValueLRADC3
		#echo "value lradc3: $?"
		if [ $? -gt $LIMIT ];
		then
			#echo "Exeeding current limt detected, shutdown the Meterbus voltage output..."
			shutdown12v
		fi
	fi
done
