#!/bin/sh

POLLTIME=60

mountError()
{
	echo "mountError"
	systemctl stop startscm.service
	sleep 5
	sync
	/bin/systemctl --force reboot
}

logMountError()
{
	MNTERRRUN=`/dnt/smgw/halcl eeprom read -mnterrrun | grep -w mnterrrun | awk '{print $2}'`
        MNTERRRUN=`expr $MNTERRRUN + 1`
        if [ $? -ne 0 ];
        then
                echo "logMountError(): ERROR: Could not get/calc the error counter, set it to 1"
                MNTERRRUN="1"
        fi
        /dnt/smgw/halcl eeprom write -mnterrrun $MNTERRRUN
        if [ $? -ne 0 ];
        then
                echo "logMountError(): ERROR: writing error counter: $MNTERRRUN to eeprom failed..."
        else
                echo "logMountError(): SUCCESS on writing error counter: $MNTERRRUN to eeprom !"
        fi
}

markCheckPartition()
{
	# try to set label on the rw-partition
	# this label will enforce a mtd check to the other partition even the mount is successful
	if [ ! $ROOTFSATTR ];
	then
		touch dnt/data/.chkdsk
	fi
	if [ ! $DATAATTR ]  || [ ! $CALATTR ];
	then
		touch /.chkdsk
	fi
}

while true
do
	sleep $POLLTIME
	ROOTFSATTR=`mount | grep ":rootfs" | grep -o "(rw"`
	DATAATTR=`mount | grep "ubi2:data" | grep -o "(rw"`
	CALATTR=`mount | grep "ubi2:cal" | grep -o "(rw"`
	
	#echo "ROOTFSATTR: $ROOTFSATTR"
	#echo "DATAATTR: $DATAATTR"

	# if any of two partitions lost their rw-state
	if [ ! $ROOTFSATTR ] || [ ! $DATAATTR ] || [ ! $CALATTR ];
	then
		# increment the error counter
		logMountError
		# set file label to force a check at next boot
		markCheckPartition
		# kill the app and reboot the system
		mountError
	fi
done
