#!/bin/sh

ERROR_CNT=0

Execute()
{
        #echo "Execute: $@"
        "$@"
        status=$?
        if [ $status -ne 0 ];
        then
                echo "ERROR executing: $@"
#                echo "ERROR: $@" >> /root/dnt/update/error
                ERROR_CNT=`expr $ERROR_CNT + 1`
        else
		echo "SUCCESS executing: $@"
	fi
}

writeROMSignature()
{
	/dnt/smgw/halcl eeprom read > /tmp/rom
	DEVID=`cat /tmp/rom | awk '/devid/ {print $2}'`
	HWID=`cat /tmp/rom | awk '/hwid/ {print $2}'`
	HWVER=`cat /tmp/rom | awk '/hwver/ {print $2}'`
	KEY=`cat /tmp/rom | awk '/key/ {print $2}'`
	MAC0=`cat /tmp/rom | awk '/mac0/ {print $2}'`
	MAC1=`cat /tmp/rom | awk '/mac1/ {print $2}'`
	MAC2=`cat /tmp/rom | awk '/mac2/ {print $2}'`
	OEM=`cat /tmp/rom | awk -F'oem' '/oem/ {print $2}' | sed -e 's/^[ \t]*//'`
	PDATE=`cat /tmp/rom | awk '/pdate/ {print $2}'`
	SN=`cat /tmp/rom | awk '/sn/ {print $2}'`
	SWID=`cat /tmp/rom | awk '/swid/ {print $2}'`
	VER=`tail -n 5 /tmp/rom | awk '/ver/ {print $2}'`
	WMBUS=`cat /tmp/rom | awk '/wmbus/ {print $2}'`

	echo "$DEVID$HWID$HWVER$KEY$MAC0$MAC1$MAC2$OEM$PDATE$SN$SWID$VER$WMBUS" > /tmp/rom.string

	Execute openssl dgst -sha1 -sign /etc/key/rompriv.key -out /tmp/rom.sig /tmp/rom.string
	base64 --wrap=0 /tmp/rom.sig > /tmp/rom.sig.64
	 if [ $? -ne 0 ];
        then
                ERROR_CNT=`expr $ERROR_CNT + 1`
        fi
	ROMSIG=`cat /tmp/rom.sig.64`
	echo "Signatur: $ROMSIG"
	Execute /dnt/smgw/halcl eeprom write -romsig "$ROMSIG"
}
Execute /usr/bin/blink_relabel.sh
writeROMSignature
Execute rm -rf /etc/key/rompriv.key
########################## smgw-Verzeichnisstruktur fuer veraenderliche Dateien ######################
#Execute mkdir -p /dnt/data/smgw/update
#Execute mkdir -p /dnt/data/smgw/certs
#Execute mkdir -p /dnt/data/smgw/plist
#----------------------------------------DEBUG--------------------------------------------------------
#ln -s /dnt/data/smgw/update /dnt/update
#ln -s /dnt/data/smgw/certs /dnt/certs
#ln -s /dnt/data/smgw/plist/scm.plist /dnt/smgw/scm.plist
#ln -s /dnt/data/smgw/plist/cryptmgr.plist /dnt/smgw/cryptmgr.plist
#ln -s /dnt/data/smgw/plist/dataproc.plist /dnt/smgw/dataproc.plist
#ln -s /dnt/data/smgw/plist/hanmgr.plist /dnt/smgw/hanmgr.plist
#ln -s /dnt/data/smgw/plist/lmn485.plist /dnt/smgw/lmn485.plist
#ln -s /dnt/data/smgw/plist/lmnmgr.plist /dnt/smgw/lmnmgr.plist
#ln -s /dnt/data/smgw/plist/lmnwmbus.plist /dnt/smgw/lmnwmbus.plist
#ln -s /dnt/data/smgw/plist/logctrl.plist /dnt/smgw/logctrl.plist
#ln -s /dnt/data/smgw/plist/miscmgr.plist /dnt/smgw/miscmgr.plist
#ln -s /dnt/data/smgw/plist/netmgr.plist /dnt/smgw/netmgr.plist
#ln -s /dnt/data/smgw/plist/scm-startup.plist /dnt/smgw/scm-startup.plist
#ln -s /dnt/data/smgw/plist/wanmgr.plist /dnt/smgw/wanmgr.plist
######################################################################################################
Execute opkg remove dnt8209halcl
Execute opkg remove dnt8209libhal
Execute opkg remove test-auart
Execute opkg remove test-wmbus-amber
Execute opkg remove test-sm
Execute opkg remove ksz8863
Execute opkg remove kobs-ng
#################################### remove additional debug tools and libs
Execute opkg remove gdb
Execute opkg remove minicom
Execute opkg remove tcpdump
Execute opkg remove ncurses
Execute opkg remove libpcap
Execute opkg remove libnl
###########################################################################
#Execute opkg remove memtool
#Execute opkg remove test-power
Execute opkg install /home/install/*.ipk
#Execute /usr/bin/nandkey generate
Execute rm -rf /home/install
Execute systemctl enable firewall.service
Execute systemctl enable relabel.service
Execute systemctl enable startscm.service
Execute systemctl enable chkdsk.service
Execute systemctl enable chkcurr.service
#Execute systemctl enable reboot.service
Execute rm /usr/bin/telnet
Execute rm /usr/sbin/telnetd
Execute rm /lib/systemd/system/sockets.target.wants/telnetd.socket
Execute rm /lib/systemd/system/telnetd.socket
Execute rm /lib/systemd/system/telnetd@.service
Execute rm -rf /etc/rc.once.d
Execute rm /lib/init/rc-once.sh
Execute rm /etc/machine-id
Execute rm /etc/mtab
Execute rm /lib/systemd/systemd-rc-once
Execute rm /lib/systemd/system/rc-once.service
Execute rm /lib/systemd/system/system-update.target.wants/rc-once.service
#Execute rm /.production
Execute opkg remove dnt8209production
################################### Re-Format rootfs, cal and data #######################################
# relabel ?
Execute umount /dnt/cal
Execute umount /dnt/data
Execute ubidetach -p /dev/mtd3
Execute ubidetach -p /dev/mtd2
Execute ubiformat /dev/mtd2 -y
Execute ubiformat /dev/mtd3 -y
Execute ubiattach /dev/ubi_ctrl -m 2
Execute ubiattach /dev/ubi_ctrl -m 3
Execute ubimkvol /dev/ubi1 -N rootfs1 -m
Execute ubimkvol /dev/ubi2 -N cal -s 25MiB
Execute ubimkvol /dev/ubi2 -N data -m
Execute mkdir -p /mnt/rfs0
Execute mkdir -p /mnt/rfs1
Execute mount -t ubifs -o sync ubi0:rootfs0 /mnt/rfs0
# Execute mount -t ubifs -o sync,aeskey=`/usr/bin/nandkey key 17` ubi1:rootfs1 /mnt/rfs1
# switch to rootfs1
Execute memtool 80056084=1
Execute /dnt/smgw/halcl bootbit set 0
Execute opkg remove memtool
#Execute opkg remove nandkey
Execute opkg remove mtd-utils

# copy rootfs
Execute cp -R -a /mnt/rfs0/* /mnt/rfs1
Execute touch /mnt/rfs1/.relabel

###########################################################################################################

Execute sync

# Destroy rootfs0
Execute insmod /lib/modules/3.9.11/extra/mtd_readtest2.ko dev=1 vformat=1

echo 0 > /sys/class/leds/led1/brightness
echo 0 > /sys/class/leds/led2/brightness
echo 0 > /sys/class/leds/led3/brightness
echo 0 > /sys/class/leds/led4/brightness
echo 0 > /sys/class/leds/led5/brightness

if [ "$ERROR_CNT" -eq 0 ];
then
	echo "Production cleanup successful !"
else
	echo "Error on Production cleanup, Errors count: $ERROR_CNT"
fi

exit $ERROR_CNT
