#!/bin/sh
#************************************************#
#                                                #
#                                                #
#                   2014                         #
#                                                #
#                                                #
#************************************************#

do_enable_switch_pins()
{
    echo "Switch Power on"
    echo 1 > /sys/class/gpio/gpio49/value
    echo "toggle Reset Switch "
    echo 1 > /sys/class/gpio/gpio47/value
}

do_disable_switch_pins()
{
    echo "Switch Power off"
    echo 0 > /sys/class/gpio/gpio49/value
    echo "toggle Reset Switch "
    echo 0 > /sys/class/gpio/gpio47/value
}

do_reset_phy()
{
        echo "reset phy ${X}"
        mii_demo -wr eth0 ${X} 0 0xB100

        case "$X" in
            16) echo "phy 0"
                   mii_demo -wr  eth0 23 0x19 0xB100
                   mii_demo -wr  eth0 23 0x18 0x9600
                ;;
            17) echo "phy 1"
                   mii_demo -wr  eth0 23 0x19 0xB100
                   mii_demo -wr  eth0 23 0x18 0x9620
                ;;
            18) echo "phy 2"
                   mii_demo -wr  eth0 23 0x19 0xB100
                   mii_demo -wr  eth0 23 0x18 0x9640
                ;;
            19) echo "phy 3"
                   mii_demo -wr  eth0 23 0x19 0xB100
                   mii_demo -wr  eth0 23 0x18 0x9660
                ;;
            20) echo "phy 4"
                   mii_demo -wr  eth0 23 0x19 0xB100
                   mii_demo -wr  eth0 23 0x18 0x9680
                ;;
            *) echo "default case"
                 mii_demo -wr eth0 ${X} 1 0xB100
                ;;
    esac
}

do_read_phy_basic_register()
{

    case "$X" in
        16) echo "phy 0"
               mii_demo -wr  eth0 23 0x18 0x9A00
               mii_demo -rd  eth0 23 0x19
        ;;
        17) echo "phy 1"
                mii_demo -wr  eth0 23 0x18 0x9A20
                mii_demo -rd  eth0 23 0x19
        ;;
        18) echo "phy 2"
                mii_demo -wr  eth0 23 0x18 0x9A40
                mii_demo -rd  eth0 23 0x19
        ;;
        19) echo "phy 3"
                mii_demo -wr  eth0 23 0x18 0x9A60
                mii_demo -rd  eth0 23 0x19
        ;;

        20) echo "phy 4"
                mii_demo -wr  eth0 23 0x18 0x9A80
                mii_demo -rd  eth0 23 0x19
        ;;
         *) echo "default case"
                mii_demo -rd eth0 ${X} 0
                ;;

    esac

}

do_enable_all_phys()
{
        mii_demo -wr  eth0 23 0x19 0x3300

        echo "enable phy 1"
        mii_demo -wr  eth0 23 0x18 0x9600
        echo "enable phy 2"
        mii_demo -wr  eth0 23 0x18 0x9620
        echo "enable phy 3"
        mii_demo -wr  eth0 23 0x18 0x9640
        echo "enable phy 4"
        mii_demo -wr  eth0 23 0x18 0x9660
        echo "enable phy 5"
        mii_demo -wr  eth0 23 0x18 0x9680
}

do_disable_all_phys()
{		
		#setting bit 11 Power Down Mode
        mii_demo -wr  eth0 23 0x19 0x3B00

        echo "disable phy 1"
        mii_demo -wr  eth0 23 0x18 0x9600
        echo "disable phy 2"
        mii_demo -wr  eth0 23 0x18 0x9620
        echo "disable phy 3"
        mii_demo -wr  eth0 23 0x18 0x9640
        echo "disable phy 4"
        mii_demo -wr  eth0 23 0x18 0x9660
        echo "disable phy 5"
        mii_demo -wr  eth0 23 0x18 0x9680
}


do_enable_mac_forwarding()
{
    echo "enable mac forwarding on ${X}"
    mii_demo  -rd  eth0 ${X}  4
    mii_demo  -wr  eth0 ${X}  4 0x00FF
    mii_demo  -rd  eth0 ${X}  4
}

do_disable_mac_forwarding()
{
    echo "disable mac forwarding on ${X}"
    mii_demo  -rd  eth0 ${X}  4
    mii_demo  -wr  eth0 ${X}  4 0x007C
    mii_demo  -rd  eth0 ${X}  4
}

do_enable_all_macs()
{
    # Table 28 Functional Description Marvel 6071
    # 0x00FF Forwarding. The switch will examine all frames, learning all SA addresses and receive and transmit all frames like a normal switch
    #

    echo "enable mac forwarding on Mac 0"
    mii_demo  -rd  eth0 24  4
    mii_demo  -wr  eth0 24  4 0x00FF
    mii_demo  -rd  eth0 24  4

    echo "enable mac forwarding on Mac 1"
    mii_demo  -rd  eth0 25  4
    mii_demo  -wr  eth0 25  4 0x00FF
    mii_demo  -rd  eth0 25  4

    echo "enable mac forwarding on Mac 2"
    mii_demo  -rd  eth0 26  4
    mii_demo  -wr  eth0 26  4 0x00FF
    mii_demo  -rd  eth0 26  4

    echo "enable mac forwarding on Mac 3"
    mii_demo  -rd  eth0 27  4
    mii_demo  -wr  eth0 27  4 0x00FF
    mii_demo  -rd  eth0 27  4

    echo "enable mac forwarding on Mac 4"
    mii_demo  -rd  eth0 28  4
    mii_demo  -wr  eth0 28  4 0x00FF
    mii_demo  -rd  eth0 28  4

    echo "enable mac forwarding on Mac 5"
    mii_demo  -rd  eth0 29  4
    mii_demo  -wr  eth0 29  4 0x00FF
    mii_demo  -rd  eth0 29  4

    echo "force Link up on MAC 5"
    mii_demo -wr eth0 29 1 0x0033

}

do_disable_all_macs()
{
    # Table 28 Functional Description Marvel 6071
    # 0x007C Disabled the switch Port is completley disabled and will no receive or transmit any Frames
    #
    echo "disable mac forwarding on Mac0"
    mii_demo  -rd  eth0 24  4
    mii_demo  -wr  eth0 24  4 0x007C

    echo "disable mac forwarding on Mac1"
    mii_demo  -rd  eth0 25  4
    mii_demo  -wr  eth0 25  4 0x007C
    mii_demo  -rd  eth0 25  4

    echo "disable mac forwarding on Mac 2"
    mii_demo  -rd  eth0 26  4
    mii_demo  -wr  eth0 26  4 0x007C
    mii_demo  -rd  eth0 26  4

    echo "disable mac forwarding on Mac 3"
    mii_demo  -rd  eth0 27  4
    mii_demo  -wr  eth0 27  4 0x007C
    mii_demo  -rd  eth0 27  4

    echo "disable mac forwarding on Mac 4"
    mii_demo  -rd  eth0 28  4
    mii_demo  -wr  eth0 28  4 0x007C
    mii_demo  -rd  eth0 28  4

    echo "disable mac forwarding on Mac 5"
    mii_demo  -rd  eth0 29  4
    mii_demo  -wr  eth0 29  4 0x007C
    mii_demo  -rd  eth0 29  4

    echo "force Link down on MAC 5"
    mii_demo -wr eth0 29 1 0x0003
}

do_force_speed_to_10_Mbps()
{
  #Table 25 Funcional Description Marvel 6071
  # Force Speed These bits are uses to force the speed on this port
	
	#echo "force speed on PHY ${X} to 10 Mbps"
    #mii_demo  -wr  eth0 ${X} 1
	
	#echo "speed is forced to 10 Mbit and Full Duplex on internal Micrel Phy 1 "
	#mii_demo -wr eth0 1  0 0x0100
	echo "speed is forced to 10 Mbit and Full Duplex on internal Micrel Phy 5 "
	 mii_demo -wr eth0 5  0 0x0100
	
	 #setting PHY Speed to 10 Mbps disable auto-Negotiation and  power reset and Full Duplex
     mii_demo -wr  eth0 23 0x19 0x8100
	 
     echo "setting PHY Speed to 10 Mbps on phy 1"
     mii_demo -wr  eth0 23 0x18 0x9600
     echo "setting PHY Speed to 10 Mbps on phy 2"
     mii_demo -wr  eth0 23 0x18 0x9620
     echo "setting PHY Speed to 10 Mbps on phy 3"
     mii_demo -wr  eth0 23 0x18 0x9640
     echo "setting PHY Speed to 10 Mbps on phy 4"
     mii_demo -wr  eth0 23 0x18 0x9660
     echo "setting PHY Speed to 10 Mbps on phy 5"
     mii_demo -wr  eth0 23 0x18 0x9680
  
    #echo "force speed on MAC ${X} to 10 Mbps"
    #echo "force LinkUp on MAC ${X}"
    #mii_demo  -wr  eth0 ${X} 1  0x0030
	echo "force speed on mac 24 to 10 Mbps"
	mii_demo  -wr  eth0 24 1 0x0030
	echo "force speed on mac 25 to 10 Mbps"
	mii_demo  -wr  eth0 25 1 0x0030
	echo "force speed on mac 26 to 10 Mbps"
	mii_demo  -wr  eth0 26 1 0x0030
	echo "force speed on mac 27 to 10 Mbps"
	mii_demo  -wr  eth0 27 1 0x0030
	echo "force speed on mac 28 to 10 Mbps"
	mii_demo  -wr  eth0 28 1 0x0030
    #echo "force speed on mac 29 to 10 Mbps"
	#mii_demo -wr eth0 29 1 0x0030
	
	echo "enable mac forwarding on Mac 0"
    mii_demo  -wr  eth0 24  4 0x00FF
    echo "enable mac forwarding on Mac 1"
    mii_demo  -wr  eth0 25  4 0x00FF
    echo "enable mac forwarding on Mac 2"
    mii_demo  -wr  eth0 26  4 0x00FF
    echo "enable mac forwarding on Mac 3"
    mii_demo  -wr  eth0 27  4 0x00FF
    echo "enable mac forwarding on Mac 4"
    mii_demo  -wr  eth0 28  4 0x00FF
    #echo "enable mac forwarding on Mac 5"
    #mii_demo  -wr  eth0 29  4 0x00FF
   

}

do_enable_loopback_switch_phy()
{
    # Table 215 Functional Description Marvel 6071
    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 0"
    mii_demo -wr  eth0 23 0x19 0x6300
    mii_demo -wr  eth0 23 0x18 0x9600

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 1"
    mii_demo -wr  eth0 23 0x19 0x6300
    mii_demo -wr  eth0 23 0x18 0x9620

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 2"
    mii_demo -wr  eth0 23 0x19 0x6300
    mii_demo -wr  eth0 23 0x18 0x9640

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 3"
    mii_demo -wr  eth0 23 0x19 0x6300
    mii_demo -wr  eth0 23 0x18 0x9660

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 4"
    mii_demo -wr  eth0 23 0x19 0x6300
    mii_demo -wr  eth0 23 0x18 0x9680

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 5"
    mii_demo -wr  eth0 23 0x19 0x6300
    mii_demo -wr  eth0 23 0x18 0x96A0

}
do_disable_loopback_switch_phy()
{
    # Table 215 Functional Description Marvel 6071
    echo "disable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 0"
    mii_demo -wr  eth0 23 0x19 0x3300
    mii_demo -wr  eth0 23 0x18 0x9600

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 1"
    mii_demo -wr  eth0 23 0x19 0x3300
    mii_demo -wr  eth0 23 0x18 0x9620

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 2"
    mii_demo -wr  eth0 23 0x19 0x3300
    mii_demo -wr  eth0 23 0x18 0x9640

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 3"
    mii_demo -wr  eth0 23 0x19 0x3300
    mii_demo -wr  eth0 23 0x18 0x9660

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 4"
    mii_demo -wr  eth0 23 0x19 0x3300
    mii_demo -wr  eth0 23 0x18 0x9680

    echo "enable loopback, SpeedLSB 100 Mbps, Disable AutoNegotioation for phy 5"
    mii_demo -wr  eth0 23 0x19 0x3300
    mii_demo -wr  eth0 23 0x18 0x96A0

}


do_force_speed_to_100_Mbps()
{
  #Table 25 Funcional Description Marvel 6071
  # Force Speed These bits are uses to force the speed on this port

    echo "force speed on MAC ${X} to 100 Mbps"
    echo "force LinkUp on MAC ${X}"
    mii_demo  -wr  eth0 ${X} 1  0x0031
}

do_unforce_speed()
{
  #Table 25 Funcional Description Marvel 6071
  # Force Speed These bits are uses to force the speed on this port

    echo "unforce speed on MAC ${X} - Normal Speed Detection occurs"
    echo "force LinkUp on MAC ${X}"
    mii_demo  -wr  eth0 ${X} 1  0x0033
}
do_transmit_data_via_switch()
{
	#send 1000 packets a 1500 Byte to host
	ping -c 65000 -s 1500 192.168.1.169
}

do_transmit_data_via_wan()
{
	#send 1000 packets a 1500 Byte to host
	ping -c 65000 -s 1500 192.168.2.230
}

do_broadcast_ping_on_all_ports()
{
	#send 1000 broadcast packets a 1500 Byte to host
	echo "broadcast ping on all ports"
	ping6 -c 65000 -s 1500  ff02::1%eth1
}

if [ "$1" != "" ]; then
   echo $1

    if [ "$1" = "enable_switch_pin" ]; then
                do_enable_switch_pins
                exit
    fi

    if [ "$1" = "disable_switch_pin" ]; then
                do_disable_switch_pins
                exit
    fi

    if [ "$1" = "reset_phy" ]; then
            if [ "$2" != "" ]; then
                X=$2
                do_reset_phy
                exit
            fi
    fi

    if [ "$1" = "read_phy_basic_register" ]; then
            if [ "$2" != "" ]; then
                X=$2
                do_read_phy_basic_register
                exit
            fi
    fi

    if [ "$1" = "enable_all_phys" ]; then
           # if [ "$2" != "" ]; then
           #     . ./$2
                do_enable_all_phys
                exit
           #  fi
    fi
	
	if [ "$1" = "disable_all_phys" ]; then
           # if [ "$2" != "" ]; then
           #     . ./$2
                do_disable_all_phys
                exit
           #  fi
    fi

    if [ "$1" = "enable_mac_forwarding" ]; then
            if [ "$2" != "" ]; then
                #. ./$2
				X=$2
                do_enable_mac_forwarding
                exit
            fi
    fi

    if [ "$1" = "disable_mac_forwarding" ]; then
            if [ "$2" != "" ]; then
                #. ./$2
				X=$2
                do_disable_mac_forwarding
                exit
            fi
    fi

    if [ "$1" = "enable_all_macs" ]; then
            #if [ "$2" != "" ]; then
            #    . ./$2
                do_enable_all_macs
                exit
            #fi
    fi
	
	if [ "$1" = "disable_all_macs" ]; then
            #if [ "$2" != "" ]; then
            #    . ./$2
                do_disable_all_macs
                exit
            #fi
    fi

    if [ "$1" = "force_speed_to_10_Mbps" ]; then
        if [ "$2" != "" ]; then
            X=$2
            do_force_speed_to_10_Mbps
            exit
        fi
    fi

    if [ "$1" = "force_speed_to_100_Mbps" ]; then
        if [ "$2" != "" ]; then
            X=$2
            do_force_speed_to_100_Mbps
            exit
        fi
    fi

    if [ "$1" = "unforce_speed" ]; then
        if [ "$2" != "" ]; then
            X=$2
            do_unforce_speed
            exit
        fi
    fi

    if [ "$1" = "enable_loopback_switch_phy" ]; then
        #if [ "$2" != "" ]; then
        #    X=$2
            do_enable_loopback_switch_phy
            exit
        #fi
    fi
	if [ "$1" = "disable_loopback_switch_phy" ]; then
        #if [ "$2" != "" ]; then
        #    X=$2
            do_disable_loopback_switch_phy
            exit
        #fi
    fi
	
	if [ "$1" = "transmit_data_via_switch" ]; then
           do_transmit_data_via_switch
            exit
     fi
	 
	 if [ "$1" = "transmit_data_via_wan" ]; then
           do_transmit_data_via_wan
            exit
     fi
	 
	 if [ "$1" = "broadcast_ping_on_all_ports" ]; then
           do_broadcast_ping_on_all_ports
           exit
     fi

fi

echo ""
echo "What shall I do? Try one off the following possiblities..."
echo ""
echo "  enable_switch_pin                        - enable the switch power on and reset switch pin"
echo "  enable_all_phys                          - enable all phys on index {16..20}"
echo "  enable_all_macs                          - enable mac forwarding on all indexes {24..29}"
echo "  reset_phy <phy_index>                    - reset phy index on one of these index {1, 3, 5, 16, 17, 18, 19, 20}"
echo "  read_phy_basic_register <phy_index>      - read phy basic register on one of  these phy index {1, 3, 5, 16, 17, 18, 19, 20}"
echo "  enable_mac_forwarding <mac_index>        - enable mac forwarding on one of these indexes {24..29}"
echo "  force_speed_to_10_Mbps <mac_index>       - force speed to 10 Mbps on one of these indexes {24..29}"
echo "  force_speed_to_100_Mbps <mac_index>      - force speed to 100 Mbps on one of these indexes {24..29}"
echo "  enable_loopback_switch_phy       	     - enable_loobpack_switch_phy"
echo "  disable_loopback_switch_phy       	     - disable_loobpack_switch_phy"
echo "  unforce_speed <mac_index>                - unforce speed on one of these indexes {24..29}"
echo "  transmit_data_via_switch                 - sending 65000 packages to host 192.168.1.169"
echo "  transmit_data_via_wan                    - sending 65000 packages to host 192.168.2.230"
echo "  broadcast_ping_on_all_ports              - sending 65000 broadcast packages through all ports"
echo "  disable_all_phys                         - disable all phys on index {16..20}"
echo "  disable_mac_forwarding <mac_index>       - disable mac forwarding on one of these indexes {24..29}"
echo "  disable_all_macs                         - disable mac forwarding on all indexes {24..29}"
echo "  disable_switch_pin                       - disable the switch power on and reset switch pin"

