#!/bin/sh

# $1 port number 0..4[lan] 5[cpu]
# $2 portstate 0..3
func_portstate()
{
	if [ $1 -ge 0 ]; then
		if [ $1 -le 5 ]; then
			if [ $2 -ge 0 ]; then
				if [ $2 -le 3 ]; then
					id=$(lsmod | grep "dsa_core,mv88e6071")
					id=${id:-"unknown"}
					if [ "$id" != "unknown" ]; then
						addr=`expr $1 + 8`
						reg=$(mii_demo -clr lan0 $addr 4 0x0003)
						reg=$(mii_demo -set lan0 $addr 4 $2)
						echo "mii_demo -set lan0 $addr 4 $2 returns $?"
					else
						addr=`expr $1 + 8 + 16`
						reg=$(mii_demo -rd eth0 $addr 4  | cut -f3 -)
						reg=$(printf "%d" $reg)
						reg=$(($reg & 0xfffc))
						reg=$(($reg | $2))
						reg=$(printf "%x" $reg)
						mii_demo -wr eth0 $addr 4 $reg
						echo "mii_demo -wr eth0 $addr 4 $reg returns $?"
					fi
				else
					echo "wrong port state $2"
				fi
			else
				echo "wrong port state $2"
			fi
		else
			echo "wrong port number $1"
		fi
	else
		echo "wrong port number $1"
	fi
}

if [ "$1" == "enable" ]; then
	func_portstate $2 3
elif [ "$1" == "disable" ]; then
	func_portstate $2 0
else
	echo "----------------------------------------------------------"
	echo "What shall I do? Try one off the following possibilities..."
	echo ""
	echo "	enable  <port-nr>		- enable  switch port (0..4)"
	echo "	disable <port-nr>		- disable switch port (0..4)"
	echo ""
fi
