#ifndef MII_DEMO_H_
#define MII_DEMO_H_

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <errno.h>
#include <fcntl.h>
#include <getopt.h>
#include <syslog.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <net/if.h>
#include <linux/sockios.h>

#include "mii.h"

/*
 * SIOCGMIIPHY, SIOCGMIIREG and SIOCSMIIREG are defined inside #include <linux/sockios.h>
 *
 * On the iMX28 fec_switch we have to differ between two physical PHY interfaces.
 * We are using some undefined ioctl from fec_switch.h
 */
#define SIOCGMIIPHY2	0x9214	/* Get address of MII PHY in use. */
#define SIOCGMIIREG2	0x9215	/* Read MII PHY register.	*/
#define SIOCSMIIREG2	0x9216	/* Write MII PHY register.	*/

class cMDIO
{
private:
	struct ifreq ifr;
	int sock, idx;
	int mdio_read(unsigned int phy_id, unsigned int location);
	int mdio_write(unsigned int phy_id, unsigned int location, int value);

public:
	cMDIO(unsigned int phy_index, const char* name);
	~cMDIO();

	void dump(unsigned int phy_id);
	int read(unsigned int phy_id, unsigned int location);
	int write(unsigned int phy_id, unsigned int location, int value);
};

#endif
