#!/bin/sh
#
#  Connect with a PHS8-P to mobile network
#

#UART_DEVICE="/dev/ttyAPP0"
UART_DEVICE="/dev/ttyUSB2"

do_cat_sim_sel()
{
  echo "SIM Slot:"
  cat /dev/sel_sim
}

do_echo_sim_sel()
{
    echo 1 > /dev/sel_sim
    #echo 0 > /dev/sel_sim
    case "$X" in
        0) echo "SIM Slot: 0"
           echo 0 > /dev/sel_sim

        ;;

        1) echo "SIM Slot: 1 "
           echo 1 > /dev/sel_sim

        ;;

        *) echo "default case"
           echo 0 > /dev/sel_sim
        ;;

    esac
}

do_disable_gsm_pins()
{
    echo "Disable GSM ON"
    echo 0 > /sys/class/gpio/gpio116/value
}

do_read_imei()
{
    echo "AT+CGSN"
    test_auart -l -d $UART_DEVICE -c "AT+CGSN"
}

do_enable_gsm_pins()
{
    echo "Enable GSM ON"
    echo 1 > /sys/class/gpio/gpio116/value
    echo "Enable GSM IGT"
    echo 1 > /sys/class/gpio/gpio85/value
	#echo 0 > /sys/class/gpio/gpio85/value
}

do_check_modul_version()
{
    test_auart -l -d $UART_DEVICE -c "ati1"
}

do_setting_the_pin()
{
    echo "setting the PIN to 0000"
    test_auart -l -d $UART_DEVICE -c "AT+CPIN?"
    sleep 3
    test_auart -l -d $UART_DEVICE -c "AT+CPIN=0000"
}

do_at_cops()
{
    echo "AT+COPS"
    test_auart -l -d $UART_DEVICE -c "AT+COPS?"
    sleep 3
}

do_at_sdport()
{

    echo "AT^sdport?"
	#test_auart -l -d /dev/ttyAPP0  -c "AT^sdport?"
    test_auart -l -d /dev/ttyUSB2 -c "AT^sdport?"
    echo "AT^sdport=3"
	#test_auart -l -d /dev/ttyAPP0  -c "AT^sdport=3"
    test_auart -l -d /dev/ttyUSB2 -c "AT^sdport=3"
    sleep 3
}

do_set_serial()
{
    echo "Serial/USB/DeviceClass/RmNet"
    test_auart -l -d $UART_DEVICE -c "AT^SCFG=\"Serial/USB/DeviceClass/RmNet\",\"CDC-ECM\""
}

do_setting_the_apn()
{
    echo "setting the APN to "

    case "$X" in
        t-mobile) echo "t-mobile"
                  test_auart -l -d $UART_DEVICE -c "AT+CGDCONT=17,\"IP\",\"internet.t-mobile\""
        ;;

        vodafone) echo "vodafone"
                  test_auart -l -d $UART_DEVICE -c "AT+CGDCONT=17,\"IP\",\"web.vodafone.de\""
        ;;

        o2) echo "o2"
                  test_auart -l -d $UART_DEVICE -c "AT+CGDCONT=17,\"IP\",\"internet\""
        ;;

               *) echo "default case"
                  echo "NO DEFAULT PROVIDER"
                  exit
        ;;

    esac
}

do_at_cgact()
{
    #Context Activation
    test_auart -l -d $UART_DEVICE -c "AT+CGACT=1,17"
    sleep 60
}

do_dhcp_discover()
{
    echo "starting udhcpc"
    udhcpc -i eth2
}

do_monitoring_serving_cell()
{
    test_auart -l -d $UART_DEVICE -c "AT^SMONI"
    sleep 3
}

do_at_creg()
{
	test_auart -l -d $UART_DEVICE -c "AT+CREG=1"
	test_auart -l -d $UART_DEVICE -c "AT+CREG?"
    sleep 3
}

do_at_csq()
{
    test_auart -l -d $UART_DEVICE -c "AT+CSQ"
    sleep 3
}

do_ns_lookup()
{
    echo "DNS Resolving www.google.com"
    nslookup www.google.com
}

do_ping_google()
{
    echo "ping google dns server 10 packages "
    ping -c 10  8.8.8.8
	echo "ping google dns server 1000 packages a 1500 byte"
	ping -c 1000 -s 1500 8.8.8.8
}

do_turn_off_the_module()
{
    echo "turn of the PHS8 module via AT^SMSO"
	test_auart -l -d $UART_DEVICE -c "AT^SMSO"
}

if [ "$1" != "" ]; then

    if [ "$1" != "" ]; then
    #    echo $1
        X=$1
        do_echo_sim_sel
    fi

    #do_cat_sim_sel
    #sleep 1
    do_disable_gsm_pins
    sleep 5
    do_enable_gsm_pins
    sleep 7
    do_check_modul_version
    sleep 2
    do_at_sdport
    sleep 2
    do_read_imei
    sleep 5
    do_setting_the_pin
    sleep 3
    do_at_cops
    sleep 3
    do_set_serial
    sleep 3

    if [ "$2" != "" ]; then
    #    echo $1
        X=$2
        do_setting_the_apn
    fi

    do_at_creg
    sleep 2
    do_at_csq
    sleep 2
    do_monitoring_serving_cell
    sleep 3
    do_at_cgact
    sleep 60
    do_dhcp_discover
    sleep 2
    do_ns_lookup
    sleep 4
    do_ping_google
	sleep 2
    do_turn_off_the_module
	exit

fi

echo ""
echo "Usage: ./GPRS_Connect.sh <sim_slot> <provider> "
echo ""
echo "Example 1: ./GPRS_Connect.sh 0 t-mobile "
echo "Example 2: ./GPRS_Connect.sh 1 vodafone "
echo "Example 3: ./GPRS_Connect.sh 1 o2 "
echo ""
echo ""
