# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_BOTAN) += botan

#
# Paths and names
#
BOTAN_VERSION	:= 1.10.8
BOTAN_MD5		:=
BOTAN		:= Botan-$(BOTAN_VERSION)
BOTAN_SUFFIX	:= tgz
BOTAN_URL		:= /$(BOTAN).$(BOTAN_SUFFIX)
BOTAN_SOURCE	:= $(SRCDIR)/$(BOTAN).$(BOTAN_SUFFIX)
BOTAN_DIR		:= $(BUILDDIR)/$(BOTAN)
BOTAN_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(BOTAN_SOURCE):
#	@$(call targetinfo)
#	@$(call get, BOTAN)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

BOTAN_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
BOTAN_CONF_TOOL	:= autoconf
BOTAN_CONF_OPT	:= --prefix=/usr \
			--sysconfdir=/etc \
			--localstatedir=/var \
			--libdir=/usr/lib \
			--cpu=arm \
			--cc-bin=$(PTXDIST_SYSROOT_TOOLCHAIN)/../bin/arm-v5te-linux-gnueabi-g++

$(STATEDIR)/botan.prepare:
	@$(call targetinfo)
	@$(call clean, $(BOTAN_DIR)/config.cache)
	cd $(BOTAN_DIR) && \
		$(BOTAN_PATH) $(BOTAN_ENV) \
		python ./configure.py $(BOTAN_CONF_OPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/botan.compile:
#	@$(call targetinfo)
#	@$(call world/compile, BOTAN)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/botan.install:
#	@$(call targetinfo)
#	@$(call world/install, BOTAN)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/botan.targetinstall:
	@$(call targetinfo)

	@$(call install_init, botan)
	@$(call install_fixup, botan,PRIORITY,optional)
	@$(call install_fixup, botan,SECTION,base)
	@$(call install_fixup, botan,AUTHOR,"<mgo>")
	@$(call install_fixup, botan,DESCRIPTION,missing)

#	@$(call install_copy, botan, 0, 0, 0755, $(BOTAN_DIR)/foobar, /dev/null)
	@$(call install_lib, botan, 0, 0, 0644, libbotan-1.10)

	@$(call install_finish, botan)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/botan.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, BOTAN)

# vim: syntax=make
