# -*-makefile-*-
#
# Copyright (C) 2012, 2021 by Marc Kleine-Budde <mkl@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_APR) += apr

#
# Paths and names
#
APR_VERSION	:= 1.5.2
APR_MD5		:= 4e9769f3349fe11fc0a5e1b224c236aa
APR		:= apr-$(APR_VERSION)
APR_SUFFIX	:= tar.bz2
APR_URL		:= http://archive.apache.org/dist/apr/$(APR).$(APR_SUFFIX)
APR_SOURCE	:= $(SRCDIR)/$(APR).$(APR_SUFFIX)
APR_DIR		:= $(BUILDDIR)/$(APR)
APR_LICENSE	:= APLv2

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

APR_CONF_ENV := \
	$(CROSS_ENV) \
	ac_cv_file__dev_zero=yes \
	apr_cv_tcp_nodelay_with_cork=yes

#
# autoconf
#
APR_CONF_TOOL := autoconf
APR_CONF_OPT := \
	$(CROSS_AUTOCONF_USR) \
	--enable-threads

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/apr.install.post:
	@$(call targetinfo)
	@$(call world/install.post, APR)
	sed -i -e "s~@SYSROOT@~${PTXDIST_SYSROOT_TARGET}~g" \
		$(PTXDIST_SYSROOT_TARGET)/usr/build-1/apr_rules.mk
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/apr.targetinstall:
	@$(call targetinfo)

	@$(call install_init, apr)
	@$(call install_fixup, apr,PRIORITY,optional)
	@$(call install_fixup, apr,SECTION,base)
	@$(call install_fixup, apr,AUTHOR,"Marc Kleine-Budde <mkl@pengutronix.de>")
	@$(call install_fixup, apr,DESCRIPTION,missing)

	@$(call install_lib, apr, 0, 0, 0644, libapr-1)

	@$(call install_finish, apr)

	@$(call touch)

# vim: syntax=make
