# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_COURIER_UNICODE) += courier-unicode

#
# Paths and names
#
COURIER_UNICODE_VERSION	:= 1.4
COURIER_UNICODE_MD5		:= c1bfff8b538339cd7316c273caa4a3b7
COURIER_UNICODE		:= courier-unicode-$(COURIER_UNICODE_VERSION)
COURIER_UNICODE_SUFFIX		:= tar.bz2
COURIER_UNICODE_URL		:= http://downloads.sourceforge.net/project/courier/courier-unicode/$(COURIER_UNICODE_VERSION)/$(COURIER_UNICODE).$(COURIER_UNICODE_SUFFIX)
COURIER_UNICODE_SOURCE		:= $(SRCDIR)/$(COURIER_UNICODE).$(COURIER_UNICODE_SUFFIX)
COURIER_UNICODE_DIR		:= $(BUILDDIR)/$(COURIER_UNICODE)
COURIER_UNICODE_LICENSE	:= GPLv3

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

COURIER_UNICODE_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
COURIER_UNICODE_CONF_TOOL	:= autoconf
COURIER_UNICODE_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/courier-unicode.compile:
	@$(call targetinfo)
	@$(call world/compile, COURIER_UNICODE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/courier-unicode.install:
	@$(call targetinfo)
	@$(call world/install, COURIER_UNICODE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/courier-unicode.targetinstall:
	@$(call targetinfo)

	@$(call install_init, courier-unicode)
	@$(call install_fixup, courier-unicode,PRIORITY,optional)
	@$(call install_fixup, courier-unicode,SECTION,base)
	@$(call install_fixup, courier-unicode,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, courier-unicode,DESCRIPTION,missing)

	@$(call install_lib, courier-unicode, 0, 0, 0644, libcourier-unicode)

	@$(call install_finish, courier-unicode)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/courier-unicode.clean:
	@$(call targetinfo)
	@$(call clean_pkg, COURIER_UNICODE)

# vim: syntax=make
