# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DHCP_HELPER) += dhcp-helper

#
# Paths and names
#
DHCP_HELPER_VERSION	:= 1.1
DHCP_HELPER_MD5		:= d749a53d8b488b6a15b7400185b99bb3
DHCP_HELPER		:= dhcp-helper-$(DHCP_HELPER_VERSION)
DHCP_HELPER_SUFFIX	:= tar.gz
DHCP_HELPER_URL		:= http://www.thekelleys.org.uk/dhcp-helper//$(DHCP_HELPER).$(DHCP_HELPER_SUFFIX)
DHCP_HELPER_SOURCE	:= $(SRCDIR)/$(DHCP_HELPER).$(DHCP_HELPER_SUFFIX)
DHCP_HELPER_DIR		:= $(BUILDDIR)/$(DHCP_HELPER)
DHCP_HELPER_LICENSE	:= GPL2

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(DHCP_HELPER_SOURCE):
#	@$(call targetinfo)
#	@$(call get, DHCP_HELPER)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

DHCP_HELPER_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#DHCP_HELPER_CONF_TOOL	:= autoconf
DHCP_HELPER_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/dhcp-helper.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(DHCP_HELPER_DIR)/config.cache)
#	cd $(DHCP_HELPER_DIR) && \
#		$(DHCP_HELPER_PATH) $(DHCP_HELPER_ENV) \
#		./configure $(DHCP_HELPER_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dhcp-helper.compile:
	@$(call targetinfo)
	@$(call world/compile, DHCP_HELPER)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/dhcp-helper.install:
#	@$(call targetinfo)
#	@$(call world/install, DHCP_HELPER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dhcp-helper.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dhcp-helper)
	@$(call install_fixup, dhcp-helper,PRIORITY,optional)
	@$(call install_fixup, dhcp-helper,SECTION,base)
	@$(call install_fixup, dhcp-helper,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, dhcp-helper,DESCRIPTION,missing)

	@$(call install_copy, dhcp-helper, 0, 0, 0755, $(DHCP_HELPER_DIR)/dhcp-helper, /usr/bin/dhcp-helper)

	@$(call install_finish, dhcp-helper)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/dhcp-helper.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, DHCP_HELPER)

# vim: syntax=make
