# -*-makefile-*-
#
# Copyright (C) 2013 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT3196STARTUP) += dnt3196startup

#
# Paths and names
#
DNT3196STARTUP_VERSION	:= 0.1
DNT3196STARTUP_MD5	:=
DNT3196STARTUP		:= dnt3196startup
DNT3196STARTUP_URL	:= file://local_src/$(DNT3196STARTUP)
DNT3196STARTUP_DIR	:= $(BUILDDIR)/$(DNT3196STARTUP)
DNT3196STARTUP_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt3196startup.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3196startup.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3196startup.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3196startup.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3196startup.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt3196startup)
	@$(call install_fixup, dnt3196startup,PRIORITY,optional)
	@$(call install_fixup, dnt3196startup,SECTION,base)
	@$(call install_fixup, dnt3196startup,AUTHOR,"<>")
	@$(call install_fixup, dnt3196startup,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#

ifdef PTXCONF_DNT3196STARTUP_SERVICE
	@$(call install_copy, dnt3196startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/dnt3196startup.service, \
                /etc/systemd/system/dnt3196startup.service)
endif

ifdef PTXCONF_DNT3196STARTUP_WDTRST
	@$(call install_copy, dnt3196startup, 0, 0, 0755, $(DNT3196STARTUP_DIR)/wdt-rst.sh, /usr/local/bin/wdt-rst.sh)
	@$(call install_copy, dnt3196startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startwdtrst.service, \
                /etc/systemd/system/startwdtrst.service)
endif

	@$(call install_copy, dnt3196startup, 0, 0, 0755, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/020_services, \
                /etc/rc.once.d/020_services)

	@$(call install_finish, dnt3196startup)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3196startup.clean:
	@$(call targetinfo)
	@$(call clean_pkg, DNT3196STARTUP)

# vim: syntax=make
