# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT3202STARTUP) += dnt3202startup

DNT3202STARTUP_VERSION	:= 0.2
DNT3202STARTUP          := dnt3202startup
DNT3202STARTUP_URL      := file://local_src/$(DNT3202STARTUP)
DNT3202STARTUP_DIR      := $(BUILDDIR)/$(DNT3202STARTUP)
DNT3202STARTUP_LICENSE  := unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt3202startup.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt3202startup.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202startup.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202startup.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202startup.install:
	@$(call targetinfo)

#
# TODO:
# If some of the files are required in root filesystem's build process, install
# these files in the install stage. But use proper variables PTXdist supports
# to install files, instead of fixed paths. The following variables can be
# used:
#
# - $(PTXDIST_SYSROOT_TARGET) points to a directory tree
#   all target relevant libraries and header files are installed to. All
#   packages built for the target are searching in this directory tree for
#   header and library files. These files are for compile time only, not for
#   runtime!
#   Paths:
#    - executables: $(PTXDIST_SYSROOT_TARGET)/bin
#    - header files: $(PTXDIST_SYSROOT_TARGET)/include
#    - libraries: $(PTXDIST_SYSROOT_TARGET)/lib
#
# - $(PTXDIST_SYSROOT_HOST) points to a directory tree all host relevant
#   executables, libraries and header files are installed to. All packages
#   built for the host are searching in this directory tree for executables,
#   header and library files.
#   Paths:
#    - executables: $(PTXDIST_SYSROOT_HOST)/bin
#    - header files: $(PTXDIST_SYSROOT_HOST)/include
#    - libraries: $(PTXDIST_SYSROOT_HOST)/lib
#
# - $(PTXDIST_SYSROOT_CROSS) points to a directory tree all cross relevant
#   executables, libraries and header files are installed to. All packages
#   built for the host to create data for the target are searching in this
#   directory tree for executables, header and library files.
#   Paths:
#    - executables: $(PTXDIST_SYSROOT_CROSS)/bin
#    - header files: $(PTXDIST_SYSROOT_CROSS)/include
#    - libraries: $(PTXDIST_SYSROOT_CROSS)/lib
#
#
# If no compile time files are reqired, skip this stage
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt3202startup.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt3202startup)
	@$(call install_fixup,dnt3202startup,PRIORITY,optional)
	@$(call install_fixup,dnt3202startup,SECTION,base)
	@$(call install_fixup,dnt3202startup,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup,dnt3202startup,DESCRIPTION,missing)
#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
ifdef PTXCONF_DNT3202STARTUP_SERVICE
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/dnt3202startup.service, \
		/etc/systemd/system/dnt3202startup.service)
endif

	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/syslogd.service, \
		/etc/systemd/system/syslogd.service)

ifdef PTXCONF_DNT3202STARTUP_WDTRST
	@$(call install_copy, dnt3202startup, 0, 0, 0755, $(DNT3202STARTUP_DIR)/wdt-rst.sh, /usr/local/bin/wdt-rst.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startwdtrst.service, \
		/etc/systemd/system/startwdtrst.service)
endif

ifdef PTXCONF_DNT3202STARTUP_MORE_SCRIPTS
	@$(call install_copy, dnt3202startup, 0, 0, 0755, \
		$(DNT3202STARTUP_DIR)/cpu_bootbits_eeprom.sh, /usr/local/bin/cpu_bootbits_eeprom.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0755, \
		$(DNT3202STARTUP_DIR)/enable_systemd_services.sh, /usr/local/bin/enable_systemd_services.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0755, \
		$(DNT3202STARTUP_DIR)/disable_systemd_services.sh, /usr/local/bin/disable_systemd_services.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0755, \
		$(DNT3202STARTUP_DIR)/external_output_port.sh, /usr/local/bin/external_output.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0755, \
		$(DNT3202STARTUP_DIR)/tainy_eeprom.sh, /usr/local/bin/tainy_eeprom.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0755, \
		$(DNT3202STARTUP_DIR)/vlan_5_test.sh, /usr/local/bin/vlan_5_test.sh)
endif

ifdef PTXCONF_DNT3202STARTUP_ETHERHW
	@$(call install_copy, dnt3202startup, 0, 0, 0755, $(DNT3202STARTUP_DIR)/etherhw.sh, /usr/bin/etherhw.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/etherhw.service, \
		/etc/systemd/system/etherhw.service)
endif

ifdef PTXCONF_DNT3202STARTUP_APACHE2
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/httpd.service, \
		/etc/systemd/system/httpd.service)
endif

ifdef PTXCONF_DNT3202STARTUP_SCM
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startscm.service, \
		/etc/systemd/system/startscm.service)
endif

ifdef PTXCONF_DNT3202STARTUP_LED_BOOTUP_PATTERN
	@$(call install_copy, dnt3202startup, 0, 0, 0755, $(DNT3202STARTUP_DIR)/led_boot_pattern.sh, /usr/local/bin/led_boot_pattern.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startledbootup.service, \
		/etc/systemd/system/startledbootup.service)
endif

ifdef PTXCONF_DNT3202STARTUP_PRODUCTION_MODE
	@$(call install_copy, dnt3202startup, 0, 0, 0755, $(DNT3202STARTUP_DIR)/enable_production_mode.sh, /usr/local/bin/enable_production_mode.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0755, $(DNT3202STARTUP_DIR)/check_production_mode.sh, /usr/local/bin/check_production_mode.sh)
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/check_for_production_mode.service, \
		/etc/systemd/system/check_for_production_mode.service)
endif

# ifdef PTXCONF_DNT3202STARTUP_START_IN_PRODUCTION_MODE
# 	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
# 	$(PTXDIST_WORKSPACE)/projectroot/etc/production_mode, \
# 		/etc/production_mode)
# endif

ifdef PTXCONF_DNT3202STARTUP_LIVE_MODE
	@$(call install_copy, dnt3202startup, 0, 0, 0755, $(DNT3202STARTUP_DIR)/enable_live_mode.sh, /usr/local/bin/enable_live_mode.sh)
endif

ifdef PTXCONF_DNT3202STARTUP_FIREWALL
	@$(call install_copy, dnt3202startup, 0, 0, 0755, $(DNT3202STARTUP_DIR)/firewall.sh, /usr/local/bin/firewall.sh)
endif

ifdef PTXCONF_DNT3202STARTUP_HAL_PROXY
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/starthalproxy.service, \
		/etc/systemd/system/starthalproxy.service)
endif

ifdef PTXCONF_DNT3202STARTUP_UART_PROXY
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startuartproxy.service, \
		/etc/systemd/system/startuartproxy.service)
endif

ifdef PTXCONF_DNT3202STARTUP_PROCESS_PROXY
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startprocessproxy.service, \
		/etc/systemd/system/startprocessproxy.service)
endif

ifdef PTXCONF_DNT3202STARTUP_SSH_USER_SESSIONS
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/ssh-user-sessions.service, \
		/etc/systemd/system/ssh-user-sessions.service)
endif

ifdef PTXCONF_DNT3202STARTUP_HWCLOCK
	@$(call install_copy, dnt3202startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/hwclock.service, \
		/etc/systemd/system/hwclock.service)
endif

ifdef PTXCONF_DNT3202STARTUP_CREATE_SFTP_DIR
	@$(call install_copy, dnt3202startup, 0, 0, 0755,	/sftp/)
	@$(call install_copy, dnt3202startup, 0, 0, 0755,	/sftp/sftp_user/)
	@$(call install_copy, dnt3202startup, 1001, 1000, 0755, /sftp/sftp_user/incoming)
	@$(call install_copy, dnt3202startup, 1001, 1000, 0755, /sftp/sftp_user/outgoing)
endif

ifdef PTXCONF_DNT3202STARTUP_SHELL_USER_DIR
	@$(call install_copy, dnt3202startup, 1001, 1000, 0755,	/home/shell_user/)
endif


	@$(call install_copy, dnt3202startup, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/020_services, \
		/etc/rc.once.d/020_services)

ifdef PTXCONF_DNT3202STARTUP_SHADOW_RC_ONCE
	@$(call install_copy, dnt3202startup, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/040_shadow, \
		/etc/rc.once.d/040_shadow)
endif

ifdef PTXCONF_DNT3202STARTUP_USERCHECK
	@$(call install_copy, dnt3202startup, 0, 0, 0755, $(DNT3202STARTUP_DIR)/user_check.sh, /usr/local/bin/user_check.sh)
endif

	#@$(call install_copy, dnt3202startup, 0, 0, 0755,o $(DNT3202STARTUP_DIR)/foobar, /dev/null)

    # copy public update key to /etc/key/
	@$(call install_copy, dnt3202startup , 0, 0, 0640, $(PTXDIST_WORKSPACE)/projectroot/etc/key/update_public.key, /etc/key/update_public.key)

	#@$(call install_copy, dnt3202startup, 0, 0, 0640,\
	#	$(PTXDIST_WORKSPACE)/projectroot/etc/system.version, \
	#	/etc/system.version)


	@$(call install_finish,dnt3202startup)

	@$(call touch)



# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt3202startup.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, DNT3202STARTUP)

# vim: syntax=make
