# -*-makefile-*-
#
# Copyright (C) 2013 by <>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8209STARTUP) += dnt8209startup

#
# Paths and names
#
DNT8209STARTUP_VERSION	:= 0.1
DNT8209STARTUP_MD5	:=
DNT8209STARTUP		:= dnt8209startup
DNT8209STARTUP_URL	:= file://local_src/$(DNT8209STARTUP)
DNT8209STARTUP_DIR	:= $(BUILDDIR)/$(DNT8209STARTUP)
DNT8209STARTUP_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209startup.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209startup.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209startup.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209startup.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209startup.targetinstall:
	@$(call targetinfo)

	@$(call install_init, dnt8209startup)
	@$(call install_fixup, dnt8209startup,PRIORITY,optional)
	@$(call install_fixup, dnt8209startup,SECTION,base)
	@$(call install_fixup, dnt8209startup,AUTHOR,"<>")
	@$(call install_fixup, dnt8209startup,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#

ifdef PTXCONF_DNT8209STARTUP_SERVICE
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/dnt8209startup.service, \
                /etc/systemd/system/dnt8209startup.service)
endif

ifdef PTXCONF_DNT8209STARTUP_WDTRST
	@$(call install_copy, dnt8209startup, 0, 0, 0755, $(DNT8209STARTUP_DIR)/wdt-rst.sh, /usr/bin/wdt-rst.sh)
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startwdtrst.service, \
                /etc/systemd/system/startwdtrst.service)
endif

ifdef PTXCONF_DNT8209STARTUP_STARTSCM
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/startscm.service, \
                /etc/systemd/system/startscm.service)
endif

ifdef PTXCONF_DNT8209STARTUP_FIREWALL       
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/firewall.service, \
                /etc/systemd/system/firewall.service)
endif

ifdef PTXCONF_DNT8209STARTUP_RELABEL
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/relabel.service, \
                /etc/systemd/system/relabel.service)
	$(call install_copy, dnt8209startup, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/usr/bin/blink_relabel.sh, /usr/bin/blink_relabel.sh)
endif

ifdef PTXCONF_DNT8209STARTUP_RELABEL_RCONCE
	@$(call install_copy, refpolicy, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/070_selabeling, \
		/etc/rc.once.d/070_selabeling)
endif


ifdef PTXCONF_DNT8209STARTUP_RELABEL_PRODUCTION
	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
		$(DNT8209STARTUP_DIR)/relabel.sh, /usr/bin/relabel.sh)
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
		$(DNT8209STARTUP_DIR)/.relabel, /.relabel)
endif

ifdef PTXCONF_DNT8209STARTUP_CLEAN_PRODUCTION
	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
		$(DNT8209STARTUP_DIR)/cleanup.sh, /usr/bin/cleanup.sh)
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
                $(DNT8209STARTUP_DIR)/.production, /.production)
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
		$(DNT8209STARTUP_DIR)/etc/key/rompriv.key, /etc/key/rompriv.key)	
endif

ifdef PTXCONF_DNT8209STARTUP_IMALABELING
	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/080_imalabeling, \
                /etc/rc.once.d/080_imalabeling)
endif

ifdef PTXCONF_DNT8209STARTUP_COPYROOTFS
	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/090_copyrootfs, \
                /etc/rc.once.d/090_copyrootfs)
endif

ifdef PTXCONF_DNT8209STARTUP_ETHERHW
	@$(call install_copy, dnt8209startup, 0, 0, 0640, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/systemd/system/etherhw.service, \
		/etc/systemd/system/etherhw.service)

	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
		$(DNT8209STARTUP_DIR)/etherhw.sh, /usr/bin/etherhw.sh)
endif

ifdef PTXCONF_DNT8209STARTUP_RESET_TAMPER
	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
		$(DNT8209STARTUP_DIR)/resetTamper.sh, /usr/bin/resetTamper.sh)
endif

ifdef PTXCONF_DNT8209STARTUP_EEPROM
	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/030_eeprom, \
		/etc/rc.once.d/030_eeprom)
endif

ifdef PTXCONF_DNT8209STARTUP_GSMUART
	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/040_GSMbaudrate, \
		/etc/rc.once.d/040_GSMbaudrate)
endif

ifdef PTXCONF_DNT8209STARTUP_INSTALLSERVICES
	@$(call install_copy, dnt8209startup, 0, 0, 0755, \
                $(PTXDIST_WORKSPACE)/projectroot/etc/rc.once.d/020_services, \
                /etc/rc.once.d/020_services)
endif


	@$(call install_finish, dnt8209startup)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209startup.clean:
	@$(call targetinfo)
	@$(call clean_pkg, DNT8209STARTUP)

# vim: syntax=make
