# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8209WDTRST) += dnt8209wdtrst

DNT8209WDTRST_VERSION	:= 0.1
DNT8209WDTRST		:= dnt8209wdtrst
DNT8209WDTRST_URL	:= file://local_src/$(DNT8209WDTRST)
DNT8209WDTRST_DIR	:= $(BUILDDIR)/$(DNT8209WDTRST)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209wdtrst.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8209wdtrst.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209wdtrst.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209wdtrst.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209wdtrst.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209wdtrst.targetinstall:
	@$(call targetinfo)
	@$(call install_init, dnt8209wdtrst)
	@$(call install_fixup,dnt8209wdtrst,PRIORITY,optional)
	@$(call install_fixup,dnt8209wdtrst,SECTION,base)
	@$(call install_fixup,dnt8209wdtrst,AUTHOR,"<mgo>")
	@$(call install_fixup,dnt8209wdtrst,DESCRIPTION,missing)

	@$(call install_copy, dnt8209wdtrst, 0, 0, 0755, $(DNT8209WDTRST_DIR)/wdt-rst.sh, /usr/bin/wdt-rst.sh)
	@$(call install_copy, dnt8209wdtrst, 0, 0, 0644, $(DNT8209WDTRST_DIR)/startwdtrst.service, /etc/systemd/system/startwdtrst.service)

ifdef PTXCONF_SIG_ROOTFS
	@openssl dgst -sha256 -sign $(PTXCONF_SIG_KEYFILE) -out $(DNT8209WDTRST_DIR)/startwdtrst.service.sig $(DNT8209WDTRST_DIR)/startwdtrst.service
	@openssl dgst -sha256 -sign $(PTXCONF_SIG_KEYFILE) -out $(DNT8209WDTRST_DIR)/wdt-rst.sh.sig $(DNT8209WDTRST_DIR)/wdt-rst.sh
	@$(call install_copy, dnt8209wdtrst, 0, 0, 0644, $(DNT8209WDTRST_DIR)/wdt-rst.sh.sig, /usr/bin/wdt-rst.sh.sig)
	@$(call install_copy, dnt8209wdtrst, 0, 0, 0644, $(DNT8209WDTRST_DIR)/startwdtrst.service.sig, /etc/systemd/system/startwdtrst.service.sig)
	@$(call install_copy, dnt8209wdtrst, 0, 0, 0644, $(DNT8209WDTRST_DIR)/startwdtrst.service.sig, /etc/systemd/system/multi-user.target.wants/startwdtrst.service.sig)
	@$(call install_link, dnt8209wdtrst, /etc/systemd/system/startwdtrst.service, /etc/systemd/system/multi-user.target.wants/startwdtrst.service)
	@echo "/etc/systemd/system/startwdtrst.service" >> $(ROOTDIR)/etc/signs
	@echo "/etc/systemd/system/multi-user.target.wants/startwdtrst.service" >> $(ROOTDIR)/etc/signs
	@echo "/usr/bin/wdt-rst.sh" >> $(ROOTDIR)/etc/signs	
endif

	@$(call install_finish,dnt8209wdtrst)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8209wdtrst.clean:
	@$(call targetinfo)
	@$(call clean_pkg, DNT8209WDTRST)

# vim: syntax=make
