# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8223ETHERHW) += dnt8223etherhw

DNT8223ETHERHW_VERSION	:= 0.1
DNT8223ETHERHW		:= dnt8223etherhw
DNT8223ETHERHW_URL	:= file://local_src/$(DNT8223ETHERHW)
DNT8223ETHERHW_DIR	:= $(BUILDDIR)/$(DNT8223ETHERHW)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223etherhw.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223etherhw.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223etherhw.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223etherhw.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223etherhw.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223etherhw.targetinstall:
	@$(call targetinfo)
	@$(call install_init, dnt8223etherhw)
	@$(call install_fixup,dnt8223etherhw,PRIORITY,optional)
	@$(call install_fixup,dnt8223etherhw,SECTION,base)
	@$(call install_fixup,dnt8223etherhw,AUTHOR,"<mgo>")
	@$(call install_fixup,dnt8223etherhw,DESCRIPTION,missing)

	@$(call install_copy, dnt8223etherhw, 0, 0, 0755, $(DNT8223ETHERHW_DIR)/etherhw.sh, /usr/bin/etherhw.sh)
	@$(call install_copy, dnt8223etherhw, 0, 0, 0644, $(DNT8223ETHERHW_DIR)/etherhw.service, /etc/systemd/system/etherhw.service)
	@$(call install_link, dnt8223etherhw, /etc/systemd/system/etherhw.service, /etc/systemd/system/multi-user.target.wants/etherhw.service)

ifdef PTXCONF_SIG_ROOTFS
	@openssl dgst -sha256 -sign $(PTXCONF_SIG_KEYFILE) -out $(DNT8223ETHERHW_DIR)/etherhw.service.sig $(DNT8223ETHERHW_DIR)/etherhw.service
	@openssl dgst -sha256 -sign $(PTXCONF_SIG_KEYFILE) -out $(DNT8223ETHERHW_DIR)/etherhw.sh.sig $(DNT8223ETHERHW_DIR)/etherhw.sh
	@$(call install_copy, dnt8223etherhw, 0, 0, 0644, $(DNT8223ETHERHW_DIR)/etherhw.service.sig, /etc/systemd/system/etherhw.service.sig)
	@$(call install_copy, dnt8223etherhw, 0, 0, 0644, $(DNT8223ETHERHW_DIR)/etherhw.service.sig, /etc/systemd/system/multi-user.target.wants/etherhw.service.sig)
	@$(call install_copy, dnt8223etherhw, 0, 0, 0644, $(DNT8223ETHERHW_DIR)/etherhw.sh.sig, /usr/bin/etherhw.sh.sig)
#	@echo "/etc/systemd/system/etherhw.service" >> $(ROOTDIR)/etc/signs
#	@echo "/etc/systemd/system/multi-user.target.wants/etherhw.service" >> $(ROOTDIR)/etc/signs
#	@echo "/usr/bin/etherhw.sh" >> $(ROOTDIR)/etc/signs
endif

	@$(call install_finish,dnt8223etherhw)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223etherhw.clean:
	@$(call targetinfo)
	@$(call clean_pkg, DNT8223ETHERHW)

# vim: syntax=make
