# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_DNT8223FIREWALL) += dnt8223firewall

DNT8223FIREWALL_VERSION	:= 0.1
DNT8223FIREWALL		:= dnt8223firewall
DNT8223FIREWALL_URL	:= file://local_src/$(DNT8223FIREWALL)
DNT8223FIREWALL_DIR	:= $(BUILDDIR)/$(DNT8223FIREWALL)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223firewall.get:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/dnt8223firewall.extract:
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223firewall.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223firewall.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223firewall.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223firewall.targetinstall:
	@$(call targetinfo)
	@$(call install_init, dnt8223firewall)
	@$(call install_fixup,dnt8223firewall,PRIORITY,optional)
	@$(call install_fixup,dnt8223firewall,SECTION,base)
	@$(call install_fixup,dnt8223firewall,AUTHOR,"<mgo>")
	@$(call install_fixup,dnt8223firewall,DESCRIPTION,missing)

	@$(call install_copy, dnt8223firewall, 0, 0, 0644, $(DNT8223FIREWALL_DIR)/firewall.service, \
		/etc/systemd/system/firewall.service)

ifdef PTXCONF_SIG_ROOTFS
	@openssl dgst -sha256 -sign $(PTXCONF_SIG_KEYFILE) -out $(DNT8223FIREWALL_DIR)/firewall.service.sig $(DNT8223FIREWALL_DIR)/firewall.service
	@$(call install_copy, dnt8223firewall, 0, 0, 0644, $(DNT8223FIREWALL_DIR)/firewall.service.sig, /etc/systemd/system/firewall.service.sig)
	@$(call install_copy, dnt8223firewall, 0, 0, 0644, $(DNT8223FIREWALL_DIR)/firewall.service.sig, /etc/systemd/system/multi-user.target.wants/firewall.service.sig)
#	@echo "/etc/systemd/system/firewall.service" >> $(ROOTDIR)/etc/signs
#	@echo "/etc/systemd/system/multi-user.target.wants/firewall.service" >> $(ROOTDIR)/etc/signs
endif

	@$(call install_finish,dnt8223firewall)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/dnt8223firewall.clean:
	@$(call targetinfo)
	@$(call clean_pkg, DNT8223FIREWALL)

# vim: syntax=make
