# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_ENCFS) += encfs

#
# Paths and names
#
ENCFS_VERSION	:= 1.7.4
ENCFS_MD5		:=
ENCFS		:= encfs-$(ENCFS_VERSION)
ENCFS_SUFFIX	:= tgz
ENCFS_URL		:= /$(ENCFS).$(ENCFS_SUFFIX)
ENCFS_SOURCE	:= $(SRCDIR)/$(ENCFS).$(ENCFS_SUFFIX)
ENCFS_DIR		:= $(BUILDDIR)/$(ENCFS)
ENCFS_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(ENCFS_SOURCE):
#	@$(call targetinfo)
#	@$(call get, ENCFS)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#ENCFS_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
ENCFS_CONF_TOOL	:= autoconf
ENCFS_CONF_OPT	:= $(CROSS_AUTOCONF_USR) --with-boost-libdir=/home/mgo/bsp/dnt8209-14/platform-dnt8209/sysroot-target/usr/lib --cache-file=config.cache --disable-rpath
#ENCFS_CONF_OPT := --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib --host=arm-v5te-linux-gnueabi --build=i686-host-linux-gnu --with-boost-libdir=/home/mgo/bsp/dnt8209-14/platform-dnt8209/sysroot-target/usr/lib
#ENCFS_CONF_OPT := --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib --build=arm-v5te-linux-gnueabi --with-boost-libdir=/home/mgo/bsp/dnt8209-14/platform-dnt8209/sysroot-target/usr/lib

$(STATEDIR)/encfs.prepare:
	@$(call targetinfo)
	@$(call clean, $(ENCFS_DIR)/config.cache)
	cd $(ENCFS_DIR) && \
		$(ENCFS_PATH) $(ENCFS_ENV) \
		./configure $(ENCFS_CONF_OPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/encfs.compile:
#	@$(call targetinfo)
#	@$(call world/compile, ENCFS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/encfs.install:
#	@$(call targetinfo)
#	@$(call world/install, ENCFS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/encfs.targetinstall:
	@$(call targetinfo)

	@$(call install_init, encfs)
	@$(call install_fixup, encfs,PRIORITY,optional)
	@$(call install_fixup, encfs,SECTION,base)
	@$(call install_fixup, encfs,AUTHOR,"<mgo>")
	@$(call install_fixup, encfs,DESCRIPTION,missing)

	@$(call install_copy, encfs, 0, 0, 0755, $(ENCFS_DIR)/encfs/encfs, /usr/bin/encfs)
	@$(call install_copy, encfs, 0, 0, 0755, $(ENCFS_DIR)/encfs/encfsctl, /usr/bin/encfsctl)
	@$(call install_copy, encfs, 0, 0, 0755, $(ENCFS_DIR)/encfs/makeKey, /usr/bin/makeKey)
	@$(call install_copy, encfs, 0, 0, 0755, $(ENCFS_DIR)/encfs/test, /usr/bin/test_encfs)
	@$(call install_lib, encfs, 0, 0, 0644, libencfs)
	

	@$(call install_finish, encfs)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/encfs.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, ENCFS)

# vim: syntax=make
