# -*-makefile-*-
#
# Copyright (C) 2013 by Michael Grzeschik <mgr@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GNUTLS320) += gnutls320

#
# Paths and names
#
GNUTLS320_VERSION	:= 3.2.0
GNUTLS320_MD5	:= 
GNUTLS320		:= gnutls-$(GNUTLS320_VERSION)
GNUTLS320_SUFFIX	:= tar.xz
GNUTLS320_URL	:= $(call ptx/mirror, GNU, gnutls/$(GNUTLS320).$(GNUTLS320_SUFFIX))
GNUTLS320_SOURCE	:= $(SRCDIR)/$(GNUTLS320).$(GNUTLS320_SUFFIX)
GNUTLS320_DIR	:= $(BUILDDIR)/$(GNUTLS320)
GNUTLS320_LICENSE	:= LGPLv3+

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# autoconf
#
GNUTLS3_CONF_TOOL := autoconf
GNUTLS3_CONF_OPT := \
	$(CROSS_AUTOCONF_USR) \
	--with-libnettle-prefix=$(PTXDIST_SYSROOT_TARGET)/usr \
	--without-p11-kit \
	--disable-gtk-doc-html \
	--with-regex-header=pcreposix.h \
	--with-libregex-cflags=$(PTXDIST_SYSROOT_TARGET)/usr/lib/libpcreposix.so libpcreposix \
	--with-libregex-libs=$(PTXDIST_SYSROOT_TARGET)/usr/lib/libpcreposix.so libpcreposix


# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gnutls320.targetinstall:
	@$(call targetinfo)

	@$(call install_init, gnutls320)
	@$(call install_fixup, gnutls320,PRIORITY,optional)
	@$(call install_fixup, gnutls320,SECTION,base)
	@$(call install_fixup, gnutls320,AUTHOR,"Michael Grzeschik <mgr@pengutronix.de>")
	@$(call install_fixup, gnutls320,DESCRIPTION,missing)

	@$(call install_lib, gnutls320, 0, 0, 0644, libgnutls)

	@$(call install_finish, gnutls320)

	@$(call touch)

# vim: syntax=make
