# -*-makefile-*-
#
# Copyright (C) 2013 by Michael Grzeschik <mgr@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GNUTLS3210) += gnutls3210

#
# Paths and names
#
GNUTLS3210_VERSION	:= 3.2.10
GNUTLS3210_MD5	:= 
GNUTLS3210		:= gnutls-$(GNUTLS3210_VERSION)
GNUTLS3210_SUFFIX	:= tar.xz
GNUTLS3210_URL	:= $(call ptx/mirror, GNU, gnutls/$(GNUTLS3210).$(GNUTLS3210_SUFFIX))
GNUTLS3210_SOURCE	:= $(SRCDIR)/$(GNUTLS3210).$(GNUTLS3210_SUFFIX)
GNUTLS3210_DIR	:= $(BUILDDIR)/$(GNUTLS3210)
GNUTLS3210_LICENSE	:= LGPLv3+

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# autoconf
#
GNUTLS3210_CONF_TOOL := autoconf
GNUTLS3210_CONF_OPT := \
	$(CROSS_AUTOCONF_USR) \
	--enable-local-libopts \
	--without-p11-kit \
	--disable-gtk-doc-html \
	--with-regex-header=pcreposix.h \
	--with-libregex-cflags=$(PTXDIST_SYSROOT_TARGET)/usr/lib/libpcreposix.so libpcreposix \
	--with-libregex-libs=$(PTXDIST_SYSROOT_TARGET)/usr/lib/libpcreposix.so libpcreposix


# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gnutls3210.targetinstall:
	@$(call targetinfo)

	@$(call install_init, gnutls3210)
	@$(call install_fixup, gnutls3210,PRIORITY,optional)
	@$(call install_fixup, gnutls3210,SECTION,base)
	@$(call install_fixup, gnutls3210,AUTHOR,"Michael Grzeschik <mgr@pengutronix.de>")
	@$(call install_fixup, gnutls3210,DESCRIPTION,missing)

	@$(call install_lib, gnutls3210, 0, 0, 0644, libgnutls)

	# kopiert die beiden Headers in das SDK-Verzeichnis
	@cp $(GNUTLS3210_DIR)/lib/crypto-backend.h $(PTXDIST_SYSROOT_TARGET)/usr/include/gnutls
	@cp $(GNUTLS3210_DIR)/lib/random.h $(PTXDIST_SYSROOT_TARGET)/usr/include/gnutls

	@$(call install_finish, gnutls3210)

	@$(call touch)

# vim: syntax=make
