# -*-makefile-*-
#
# Copyright (C) 2013 by Michael Grzeschik <mgr@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GNUTLS3212) += gnutls3212

#
# Paths and names
#
GNUTLS3212_VERSION	:= 3.2.12
GNUTLS3212_MD5	:= f507365940de8f095e1d867c6f0842f6
GNUTLS3212		:= gnutls-$(GNUTLS3212_VERSION)
GNUTLS3212_SUFFIX	:= tar.xz
GNUTLS3212_URL	:= $(call ptx/mirror, GNU, gnutls/$(GNUTLS3212).$(GNUTLS3212_SUFFIX))
GNUTLS3212_SOURCE	:= $(SRCDIR)/$(GNUTLS3212).$(GNUTLS3212_SUFFIX)
GNUTLS3212_DIR	:= $(BUILDDIR)/$(GNUTLS3212)
GNUTLS3212_LICENSE	:= LGPLv3+

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# autoconf
#
GNUTLS3212_CONF_TOOL := autoconf
GNUTLS3212_CONF_OPT := \
	$(CROSS_AUTOCONF_USR) \
	--enable-local-libopts \
	--without-p11-kit \
	--disable-gtk-doc-html \
	--with-regex-header=pcreposix.h \
	--with-libregex-cflags=$(PTXDIST_SYSROOT_TARGET)/usr/lib/libpcreposix.so libpcreposix \
	--with-libregex-libs=$(PTXDIST_SYSROOT_TARGET)/usr/lib/libpcreposix.so libpcreposix


# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gnutls3212.targetinstall:
	@$(call targetinfo)

	@$(call install_init, gnutls3212)
	@$(call install_fixup, gnutls3212,PRIORITY,optional)
	@$(call install_fixup, gnutls3212,SECTION,base)
	@$(call install_fixup, gnutls3212,AUTHOR,"Michael Grzeschik <mgr@pengutronix.de>")
	@$(call install_fixup, gnutls3212,DESCRIPTION,missing)

	@$(call install_lib, gnutls3212, 0, 0, 0644, libgnutls)

	# kopiert die beiden Headers in das SDK-Verzeichnis
	@cp $(GNUTLS3212_DIR)/lib/crypto-backend.h $(PTXDIST_SYSROOT_TARGET)/usr/include/gnutls
	@cp $(GNUTLS3212_DIR)/lib/random.h $(PTXDIST_SYSROOT_TARGET)/usr/include/gnutls

	@$(call install_finish, gnutls3212)

	@$(call touch)

# vim: syntax=make
