# -*-makefile-*-
#
# Copyright (C) 2013 by Michael Grzeschik <mgr@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GNUTLS323) += gnutls323

#
# Paths and names
#
GNUTLS323_VERSION	:= 3.2.3
GNUTLS323_MD5	:= 7c0dd4f77dc70c64d2f385aeb2df4157
GNUTLS323		:= gnutls-$(GNUTLS323_VERSION)
GNUTLS323_SUFFIX	:= tar.xz
GNUTLS323_URL	:= $(call ptx/mirror, GNU, gnutls/$(GNUTLS323).$(GNUTLS323_SUFFIX))
GNUTLS323_SOURCE	:= $(SRCDIR)/$(GNUTLS323).$(GNUTLS323_SUFFIX)
GNUTLS323_DIR	:= $(BUILDDIR)/$(GNUTLS323)
GNUTLS323_LICENSE	:= LGPLv3+

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# autoconf
#
GNUTLS323_CONF_TOOL := autoconf
GNUTLS323_CONF_OPT := \
	$(CROSS_AUTOCONF_USR) \
	--without-p11-kit \
	--disable-gtk-doc-html \
	--with-regex-header=pcreposix.h \
	--with-libregex-cflags=$(PTXDIST_SYSROOT_TARGET)/usr/lib/libpcreposix.so libpcreposix \
	--with-libregex-libs=$(PTXDIST_SYSROOT_TARGET)/usr/lib/libpcreposix.so libpcreposix


# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gnutls323.targetinstall:
	@$(call targetinfo)

	@$(call install_init, gnutls323)
	@$(call install_fixup, gnutls323,PRIORITY,optional)
	@$(call install_fixup, gnutls323,SECTION,base)
	@$(call install_fixup, gnutls323,AUTHOR,"Michael Grzeschik <mgr@pengutronix.de>")
	@$(call install_fixup, gnutls323,DESCRIPTION,missing)

	@$(call install_lib, gnutls323, 0, 0, 0644, libgnutls)

	# kopiert die beiden Headers in das SDK-Verzeichnis
	@cp $(GNUTLS323_DIR)/lib/crypto-backend.h $(PTXDIST_SYSROOT_TARGET)/usr/include/gnutls
	@cp $(GNUTLS323_DIR)/lib/random.h $(PTXDIST_SYSROOT_TARGET)/usr/include/gnutls

	@$(call install_finish, gnutls323)

	@$(call touch)

# vim: syntax=make
