# -*-makefile-*-
#
# Copyright (C) 2008 by Juergen Beisert
#               2009 by Marc Kleine-Budde <mkl@pengutronix.de>
#               2011 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_INADYN) += inadyn

#
# Paths and names
#
INADYN_VERSION	:= 1.99.13
INADYN_MD5	:= 38f07f98fce75b48ea13d47620176311
INADYN		:= inadyn-$(INADYN_VERSION)
INADYN_SUFFIX	:= tar.xz
INADYN_URL		:= https://github.com/troglobit/inadyn/releases/download/$(INADYN_VERSION)/inadyn-$(INADYN_VERSION).$(INADYN_SUFFIX)
INADYN_SOURCE	:= $(SRCDIR)/$(INADYN).$(INADYN_SUFFIX)
INADYN_DIR	:= $(BUILDDIR)/$(INADYN)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
INADYN_CONF_OPT := \
$(CROSS_AUTOCONF_USR) \
	--enable-openssl

INADYN_MAKE_ENV	:= $(CROSS_ENV)
INADYN_MAKE_OPT	:= TARGET_ARCH=linux

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/inadyn.install:
	@$(call targetinfo)
	install -D -m755 $(INADYN_DIR)/src/inadyn \
		$(INADYN_PKGDIR)/sbin/inadyn
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/inadyn.targetinstall:
	@$(call targetinfo)

	@$(call install_init, inadyn)
	@$(call install_fixup, inadyn,PRIORITY,optional)
	@$(call install_fixup, inadyn,SECTION,base)
	@$(call install_fixup, inadyn,AUTHOR,"Juergen Beisert <juergen@kreuzholzen.de>")
	@$(call install_fixup, inadyn,DESCRIPTION,missing)

	@$(call install_copy, inadyn, 0, 0, 0755, -, /sbin/inadyn)
	@$(call install_alternative, inadyn, 0, 0, 0600, /etc/inadyn.conf)

	@$(call install_finish, inadyn)

	@$(call touch)

# vim: syntax=make
