# -*-makefile-*-
#
# Copyright (C) 2014 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_IPSEC_TOOLS) += ipsec-tools

#
# Paths and names
#
IPSEC_TOOLS_PATCHLEVEL  := r3
IPSEC_TOOLS_UPSTREAM_VERSION := 0.8.0
IPSEC_TOOLS_VERSION	:= $(IPSEC_TOOLS_UPSTREAM_VERSION)$(IPSEC_TOOLS_PATCHLEVEL)
IPSEC_TOOLS_MD5		:= c9a318cdbc0946f4e51464866d529739
IPSEC_TOOLS		:= ipsec-tools-$(IPSEC_TOOLS_UPSTREAM_VERSION)
IPSEC_TOOLS_SUFFIX	:= tar.gz
IPSEC_TOOLS_URL		:= http://ftp.uni-erlangen.de/pub/mirrors/NetBSD/misc/ipsec-tools/0.8/$(IPSEC_TOOLS).$(IPSEC_TOOLS_SUFFIX)
IPSEC_TOOLS_SOURCE	:= $(SRCDIR)/$(IPSEC_TOOLS).$(IPSEC_TOOLS_SUFFIX)
IPSEC_TOOLS_DIR		:= $(BUILDDIR)/$(IPSEC_TOOLS)
IPSEC_TOOLS_LICENSE	:= BSD

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

IPSEC_TOOLS_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
IPSEC_TOOLS_CONF_TOOL	:= autoconf
IPSEC_TOOLS_CONF_OPT2	:=  --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib  --host=arm-v5te-linux-gnueabi --build=i686-host-linux-gnu  --enable-stats --enable-hybrid --enable-shared --enable-frag --enable-adminport --enable-rc5 --enable-idea  --enable-natt --enable-dpd --enable-security-context=no --with-kernel-headers=/usr/include --with-flexlib=-lfl
IPSEC_TOOLS_CONF_OPT3	:=  --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib  --host=arm-v5te-linux-gnueabi --build=i686-host-linux-gnu --with-flexlib=-lfl --enable-security-context=no --enable-adminport --enable-ipv6 -enable-dpd --enable-stats --enable-natt --enable-wildcard-match --enable-ip-sa-live-time
 
IPSEC_TOOLS_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/ipsec-tools.compile:
	@$(call targetinfo)
	cd $(IPSEC_TOOLS_DIR) && \
		$(IPSEC_TOOLS_PATH) $(IPSEC_TOOLS_ENV) \
        ./bootstrap
	cd $(IPSEC_TOOLS_DIR) && \
		$(IPSEC_TOOLS_PATH) $(IPSEC_TOOLS_ENV) \
		./configure $(IPSEC_TOOLS_CONF_OPT3)
	@$(call world/compile, IPSEC_TOOLS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ipsec-tools.install:
	@$(call targetinfo)
	@$(call world/install, IPSEC_TOOLS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ipsec-tools.targetinstall:
	@$(call targetinfo)

	@$(call install_init, ipsec-tools)
	@$(call install_fixup, ipsec-tools,PRIORITY,optional)
	@$(call install_fixup, ipsec-tools,SECTION,base)
	@$(call install_fixup, ipsec-tools,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, ipsec-tools,DESCRIPTION,missing)
	@$(call install_copy, ipsec-tools, 0, 0, 0644, -, /usr/include/libipsec/libpfkey.h)
#	@$(call install_lib, ipsec-tools, 0, 0, 0644, libipsec)
#	@$(call install_lib, ipsec-tools, 0, 0, 0644, libracoon)
	@$(call install_copy, ipsec-tools, 0, 0, 0755, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(IPSEC_TOOLS)/usr/lib/libipsec.a, /usr/lib/libipsec.a)
	@$(call install_copy, ipsec-tools, 0, 0, 0755, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(IPSEC_TOOLS)/usr/lib/libipsec.la, /usr/lib/libipsec.la)
	@$(call install_copy, ipsec-tools, 0, 0, 0755, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(IPSEC_TOOLS)/usr/lib/libracoon.a, /usr/lib/libracoon.a)
	@$(call install_copy, ipsec-tools, 0, 0, 0755, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(IPSEC_TOOLS)/usr/lib/libracoon.la, /usr/lib/libracoon.la)
	@$(call install_copy, ipsec-tools, 0, 0, 0755, -, /usr/sbin/plainrsa-gen)
	@$(call install_copy, ipsec-tools, 0, 0, 0755, -, /usr/sbin/racoon)
	@$(call install_copy, ipsec-tools, 0, 0, 0755, -, /usr/sbin/racoonctl)
	@$(call install_copy, ipsec-tools, 0, 0, 0755, -, /usr/sbin/setkey)

	@$(call install_finish, ipsec-tools)

	@$(call touch)

# vim: syntax=make
