# -*-makefile-*-
#
# Copyright (C) 2012 by <Maik.Gotzmann@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_KOBS_NG) += kobs-ng

#
# Paths and names
#
KOBS_NG_VERSION := 3.10.53-1.1.0
KOBS_NG_MD5		:= 762063004e56e7160157e7c13ed6f684
KOBS_NG		:= imx-kobs-$(KOBS_NG_VERSION)
KOBS_NG_SUFFIX	:= tar.gz
KOBS_NG_URL		:= http://repository.timesys.com/buildsources/i/imx-kobs/$(KOBS_NG)/$(KOBS_NG).$(KOBS_NG_SUFFIX)
KOBS_NG_SOURCE	:= $(SRCDIR)/$(KOBS_NG).$(KOBS_NG_SUFFIX)
KOBS_NG_DIR		:= $(BUILDDIR)/$(KOBS_NG)
KOBS_NG_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(KOBS_NG_SOURCE):
#	@$(call targetinfo)
#	@$(call get, KOBS_NG)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

KOBS_NG_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
KOBS_NG_CONF_TOOL	:= autoconf
KOBS_NG_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

$(STATEDIR)/kobs-ng.prepare:
	@$(call targetinfo)
	@$(call clean, $(KOBS_NG_DIR)/config.cache)
	cd $(KOBS_NG_DIR) && \
		$(KOBS_NG_PATH) $(KOBS_NG_ENV) \
		./configure $(KOBS_NG_CONF_OPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/kobs-ng.compile:
	@$(call targetinfo)
	@$(call world/compile, KOBS_NG)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/kobs-ng.install:
	@$(call targetinfo)
	@$(call world/install, KOBS_NG)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/kobs-ng.targetinstall:
	@$(call targetinfo)

	@$(call install_init, kobs-ng)
	@$(call install_fixup, kobs-ng,PRIORITY,optional)
	@$(call install_fixup, kobs-ng,SECTION,base)
	@$(call install_fixup, kobs-ng,AUTHOR,"<>")
	@$(call install_fixup, kobs-ng,DESCRIPTION,missing)
	
	@$(call install_copy, kobs-ng, 0, 0, 0755, -, /usr/bin/kobs-ng)

	@$(call install_finish, kobs-ng)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/kobs-ng.clean:
	@$(call targetinfo)
	@$(call clean_pkg, KOBS_NG)

# vim: syntax=make
