# -*-makefile-*-
#
# Copyright (C) 2012 by Alexander Aring <aar@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LIBNL3) += libnl3

#
# Paths and names
#
LIBNL3_VERSION	:= 3.2.25
LIBNL3_MD5	:= 03f74d0cd5037cadc8cdfa313bbd195c
LIBNL3		:= libnl-$(LIBNL3_VERSION)
LIBNL3_SUFFIX	:= tar.gz
LIBNL3_URL	:= http://www.infradead.org/~tgr/libnl/files/$(LIBNL3).$(LIBNL3_SUFFIX)
LIBNL3_SOURCE	:= $(SRCDIR)/$(LIBNL3).$(LIBNL3_SUFFIX)
LIBNL3_DIR	:= $(BUILDDIR)/$(LIBNL3)
LIBNL3_LICENSE	:= GPL-2.0

#
# autoconf
#
LIBNL3_CONF_TOOL    := autoconf
LIBNL3_CONF_OPT	    := \
	$(CROSS_AUTOCONF_USR) \
	--disable-manpages \
	--enable-shared \
	--disable-static \
	--$(call ptx/endis, PTXCONF_LIBNL3_ENABLE_CLI)-cli \
	--enable-pthreads

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

LIBNL3_INSTALL_FILES-y =
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=genl-ctrl-list
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-class-add
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-class-delete
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-classid-lookup
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-class-list
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-cls-add
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-cls-delete
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-cls-list
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-link-list
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-pktloc-lookup
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-qdisc-add
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-qdisc-delete
LIBNL3_INSTALL_FILES-$(PTXCONF_LIBNL3_ENABLE_CLI)   +=nl-qdisc-list

$(STATEDIR)/libnl3.targetinstall:
	@$(call targetinfo)

	@$(call install_init, libnl3)
	@$(call install_fixup, libnl3,PRIORITY,optional)
	@$(call install_fixup, libnl3,SECTION,base)
	@$(call install_fixup, libnl3,AUTHOR,"Alexander Aring <aar@pengutronix.de>")
	@$(call install_fixup, libnl3,DESCRIPTION,missing)

	@$(call install_lib, libnl3, 0, 0, 0644, libnl-3)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl-genl-3)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl-nf-3)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl-route-3)

#	# install header files
	mkdir -p $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private
#	cd $(LIBNL3_DIR) && \
#	for i in `find . -name "*.h"`; do \
#	    mkdir -p $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private
#		mkdir -p $(PTXDIST_PLATFORMDIR)/sysroot-target/usr/include/`dirname $$i`; \
#		cp $$i $(PTXDIST_PLATFORMDIR)/sysroot-target/usr/include/$$i; \
#	done

ifdef PTXCONF_LIBNL3_ENABLE_CLI
	@$(call install_lib, libnl3, 0, 0, 0644, libnl-cli-3)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl/cli/cls/basic)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl/cli/cls/cgroup)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl/cli/qdisc/bfifo)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl/cli/qdisc/blackhole)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl/cli/qdisc/htb)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl/cli/qdisc/pfifo)
	@$(call install_lib, libnl3, 0, 0, 0644, libnl/cli/qdisc/plug)
endif

	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/addr.h, /usr/include/libnl3/netlink/cli/addr.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/class.h, /usr/include/libnl3/netlink/cli/class.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/cls.h, /usr/include/libnl3/netlink/cli/cls.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/ct.h, /usr/include/libnl3/netlink/cli/ct.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/exp.h, /usr/include/libnl3/netlink/cli/exp.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/link.h, /usr/include/libnl3/netlink/cli/link.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/neigh.h, /usr/include/libnl3/netlink/cli/neigh.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/qdisc.h, /usr/include/libnl3/netlink/cli/qdisc.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/route.h, /usr/include/libnl3/netlink/cli/route.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/rule.h, /usr/include/libnl3/netlink/cli/rule.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/tc.h, /usr/include/libnl3/netlink/cli/tc.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cli/utils.h, /usr/include/libnl3/netlink/cli/utils.h)


	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/fib_lookup/lookup.h, /usr/include/libnl3/netlink/fib_lookup/lookup.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/fib_lookup/request.h, /usr/include/libnl3/netlink/fib_lookup/request.h)


	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/genl/ctrl.h, /usr/include/libnl3/netlink/genl/ctrl.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/genl/family.h, /usr/include/libnl3/netlink/genl/familiy.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/genl/genl.h, /usr/include/libnl3/netlink/genl/genl.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/genl/mngt.h, /usr/include/libnl3/netlink/genl/mngt.h)


	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/idiag/idiagnl.h, /usr/include/libnl3/netlink/idiag/idiagnl.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/idiag/meminfo.h, /usr/include/libnl3/netlink/idiag/meminfo.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/idiag/msg.h, /usr/include/libnl3/netlink/idiag/msg.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/idiag/req.h, /usr/include/libnl3/netlink/idiag/req.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/idiag/vegasinfo.h, /usr/include/libnl3/netlink/idiag/vegasinfo.h)


	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netfilter/ct.h, /usr/include/libnl3/netlink/netfilter/ct.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netfilter/exp.h, /usr/include/libnl3/netlink/netfilter/exp.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netfilter/log.h, /usr/include/libnl3/netlink/netfilter/log.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netfilter/log_msg.h, /usr/include/libnl3/netlink/netfilter/log_msg.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netfilter/netfilter.h, /usr/include/libnl3/netlink/netfilter/netfilter.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netfilter/nfnl.h, /usr/include/libnl3/netlink/netfilter/nfnl.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netfilter/queue.h, /usr/include/libnl3/netlink/netfilter/queue.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netfilter/queue_msg.h, /usr/include/libnl3/netlink/netfilter/queue_msg.h)




	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/addr.h, /usr/include/libnl3/netlink/route/addr.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/class.h, /usr/include/libnl3/netlink/route/class.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/classifier.h, /usr/include/libnl3/netlink/route/classifier.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/link.h, /usr/include/libnl3/netlink/route/link.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/neighbour.h, /usr/include/libnl3/netlink/route/neighbour.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/neightbl.h, /usr/include/libnl3/netlink/route/neightbl.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/pktloc.h, /usr/include/libnl3/netlink/route/pktloc.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/qdisc.h, /usr/include/libnl3/netlink/route/qdisk.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/route.h, /usr/include/libnl3/netlink/route.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/rtnl.h, /usr/include/libnl3/netlink/route/rtnl.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/rule.h, /usr/include/libnl3/netlink/route/rule.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/tc.h, /usr/include/libnl3/netlink/route/tc.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/route/tc-api.h, /usr/include/libnl3/netlink/route/tc-api.h)




	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/addr.h, /usr/include/libnl3/netlink/addr.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/attr.h, /usr/include/libnl3/netlink/attr.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cache.h, /usr/include/libnl3/netlink/cache.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/cache-api.h, /usr/include/libnl3/netlink/cache-api.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/data.h, /usr/include/libnl3/netlink/data.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/errno.h, /usr/include/libnl3/netlink/errno.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/handlers.h, /usr/include/libnl3/netlink/handlers.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/hash.h, /usr/include/libnl3/netlink/hash.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/hashtable.h, /usr/include/libnl3/netlink/hashtable.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/list.h, /usr/include/libnl3/netlink/list.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/msg.h, /usr/include/libnl3/netlink/msg.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netlink.h, /usr/include/libnl3/netlink/netlink.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netlink-compat.h, /usr/include/libnl3/netlink/netlinki-compat.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/netlink-kernel.h, /usr/include/libnl3/netlink/netlink-kernel.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/object.h, /usr/include/libnl3/netlink/object.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/object-api.h, /usr/include/libnl3/netlink/object-api.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/socket.h, /usr/include/libnl3/netlink/socket.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/types.h, /usr/include/libnl3/netlink/types.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/utils.h, /usr/include/libnl3/netlink/utils.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/packages/$(LIBNL3)/usr/include/libnl3/netlink/version.h, /usr/include/libnl3/netlink/version.h)


	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/cache-api.h, /usr/include/libnl3/netlink-private/cache-api.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/genl.h, /usr/include/libnl3/netlink-private/genl.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/netlink.h, /usr/include/libnl3/netlink-private/netlink.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/object-api.h, /usr/include/libnl3/netlink-private/object-api.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/tc.h, /usr/include/libnl3/netlink-private/tc.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/types.h, /usr/include/libnl3/netlink-private/types.h)


	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/route/tc-api.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/route/tc-api.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/route/link/api.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/route/link/api.h)

	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/cache-api.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/cache-api.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/genl.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/genl.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/netlink.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/netlink.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/object-api.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/object-api.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/tc.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/tc.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/types.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/types.h)


	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/route/tc-api.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/route/tc-api.h)
	# @$(call install_copy, libnl3, 0, 0, 0644, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/build-target/$(LIBNL3)/include/netlink-private/route/link/api.h, $(PTXDIST_WORKSPACE)/platform-$(PTXCONF_PLATFORM)/sysroot-target/usr/include/libnl3/netlink-private/route/link/api.h)




	@$(foreach tool,$(LIBNL3_INSTALL_FILES-y), \
		$(call install_copy, libnl3, 0, 0, 0755, -, /usr/sbin/$(tool));)

	@$(call install_alternative, libnl3, 0, 0, 0644, /etc/libnl/classid)
	@$(call install_alternative, libnl3, 0, 0, 0644, /etc/libnl/pktloc)

	@$(call install_finish, libnl3)

	@$(call touch)

# vim: syntax=make
