# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LINUX_PAM) += linux-pam

#
# Paths and names
#
LINUX_PAM_VERSION	:= 1.1.8
LINUX_PAM_MD5		:= 35b6091af95981b1b2cd60d813b5e4ee
LINUX_PAM		:= Linux-PAM-$(LINUX_PAM_VERSION)
LINUX_PAM_SUFFIX	:= tar.bz2
LINUX_PAM_URL		:= http://www.linux-pam.org/library/$(LINUX_PAM).$(LINUX_PAM_SUFFIX)
LINUX_PAM_SOURCE	:= $(SRCDIR)/$(LINUX_PAM).$(LINUX_PAM_SUFFIX)
LINUX_PAM_DIR		:= $(BUILDDIR)/$(LINUX_PAM)
LINUX_PAM_LICENSE	:= GPL, BSD

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#LINUX_PAM_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
LINUX_PAM_CONF_TOOL	:= autoconf

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/linux-pam.targetinstall:
	@$(call targetinfo)

	@$(call install_init, linux-pam)
	@$(call install_fixup, linux-pam,PRIORITY,optional)
	@$(call install_fixup, linux-pam,SECTION,base)
	@$(call install_fixup, linux-pam,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, linux-pam,DESCRIPTION,missing)

	@$(call install_lib, linux-pam, 0, 0, 0644, libpam)

	@$(call install_alternative, linux-pam, 0, 0, 0644, /conf/pam.conf)
	@$(call install_finish, linux-pam)

	@$(call touch)

# vim: syntax=make
