# -*-makefile-*-
#
# Copyright (C) 2018 Sagemcom Dr. Neuhaus GmbH, Hamburg Germany, Oliver Graute <oliver.graute@sagemcom.com>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_NDISC6) += ndisc6

#
# Paths and names
#
NDISC6_VERSION	:= 1.0.3
NDISC6_MD5	:= 21afdaa3a5a5c1ce50eb7f2b7d795989
NDISC6		:= ndisc6-$(NDISC6_VERSION)
NDISC6_SUFFIX	:= tar.bz2
NDISC6_URL	:= https://www.remlab.net/files/ndisc6/ndisc6-$(NDISC6_VERSION).$(NDISC6_SUFFIX)
NDISC6_SOURCE	:= $(SRCDIR)/$(NDISC6).$(NDISC6_SUFFIX)
NDISC6_DIR	:= $(BUILDDIR)/$(NDISC6)
NDISC6_LICENSE	:= GPLv3

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

NDISC6_CONF_ENV	:= $(CROSS_ENV)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/ndisc6.compile:
	@$(call targetinfo)
	@$(call world/compile, NDISC6)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/ndisc6.install:
#	@$(call targetinfo)
#	@$(call world/install, NDISC6)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ndisc6.targetinstall:
	@$(call targetinfo)

	@$(call install_init, ndisc6)
	@$(call install_fixup, ndisc6,PRIORITY,optional)
	@$(call install_fixup, ndisc6,SECTION,base)
	@$(call install_fixup, ndisc6,AUTHOR,"oliver.graute@sagemcom.com")
	@$(call install_fixup, ndisc6,DESCRIPTION,missing)

	@$(call install_copy, ndisc6, 0, 0, 0755, $(NDISC6_DIR)/src/ndisc6, /usr/bin/ndisc6)
	@$(call install_copy, ndisc6, 0, 0, 0755, $(NDISC6_DIR)/src/rdisc6, /usr/bin/rdisc6)
	@$(call install_copy, ndisc6, 0, 0, 0755, $(NDISC6_DIR)/src/tcpspray6, /usr/bin/tcpspray6)
	@$(call install_copy, ndisc6, 0, 0, 0755, $(NDISC6_DIR)/src/tcptraceroute6, /usr/bin/tcptraceroute6)
	@$(call install_copy, ndisc6, 0, 0, 0755, $(NDISC6_DIR)/src/tracert6, /usr/bin/tracert6)
	@$(call install_copy, ndisc6, 0, 0, 0755, $(NDISC6_DIR)/src/addr2name, /usr/bin/addr2name)
	@$(call install_copy, ndisc6, 0, 0, 0755, $(NDISC6_DIR)/rdnssd/rdnssd, /usr/bin/rdnssd)

	@$(call install_finish, ndisc6)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/ndisc6.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, NDISC6)

# vim: syntax=make
