# -*-makefile-*-
#
# Copyright (C) 2012 by <Maik.Gotzmann@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_P11_KIT) += p11-kit

#
# Paths and names
#
P11_KIT_VERSION	:= 0.14
P11_KIT_MD5	:= e8b10a0ef1d9ebc6384ca361a70a4b02
P11_KIT		:= p11-kit-$(P11_KIT_VERSION)
P11_KIT_SUFFIX	:= tar.gz
P11_KIT_URL	:= http://p11-glue.freedesktop.org/releases/$(P11_KIT).$(P11_KIT_SUFFIX)
P11_KIT_SOURCE	:= $(SRCDIR)/$(P11_KIT).$(P11_KIT_SUFFIX)
P11_KIT_DIR	:= $(BUILDDIR)/$(P11_KIT)
P11_KIT_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(P11_KIT_SOURCE):
	@$(call targetinfo)
	@$(call get, P11_KIT)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

P11_KIT_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
P11_KIT_CONF_TOOL	:= autoconf
P11_KIT_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

$(STATEDIR)/p11-kit.prepare:
	@$(call targetinfo)
	@$(call clean, $(P11_KIT_DIR)/config.cache)
	cd $(P11_KIT_DIR) && \
		$(P11_KIT_PATH) $(P11_KIT_ENV) \
		./configure $(P11_KIT_CONF_OPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/p11-kit.compile:
	@$(call targetinfo)
	@$(call world/compile, P11_KIT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/p11-kit.install:
	@$(call targetinfo)
	@$(call world/install, P11_KIT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/p11-kit.targetinstall:
	@$(call targetinfo)

	@$(call install_init, p11-kit)
	@$(call install_fixup, p11-kit,PRIORITY,optional)
	@$(call install_fixup, p11-kit,SECTION,base)
	@$(call install_fixup, p11-kit,AUTHOR,"<>")
	@$(call install_fixup, p11-kit,DESCRIPTION,missing)

	@$(call install_lib, p11-kit, 0, 0, 0644, libp11-kit)

	@$(call install_finish, p11-kit)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/p11-kit.clean:
	@$(call targetinfo)
	@$(call clean_pkg, P11_KIT)

# vim: syntax=make
