# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PAM_RADIUS) +=pam_radius

#
# Paths and names
#
PAM_RADIUS_VERSION	:= 1.4.0
PAM_RADIUS_MD5		:= 80960fdc9b720677dbb51d17311664a0
PAM_RADIUS		:= pam_radius-$(PAM_RADIUS_VERSION)
PAM_RADIUS_SUFFIX	:= tar.gz
PAM_RADIUS_URL		:= ftp://ftp.freeradius.org/pub/radius/$(PAM_RADIUS).$(PAM_RADIUS_SUFFIX)
PAM_RADIUS_SOURCE	:= $(SRCDIR)/$(PAM_RADIUS).$(PAM_RADIUS_SUFFIX)
PAM_RADIUS_DIR		:= $(BUILDDIR)/$(PAM_RADIUS)
PAM_RADIUS_LICENSE	:= GPLv2

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(PAM_RADIUS_SOURCE):
#	@$(call targetinfo)
#	@$(call get, PAM_RADIUS)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

PAM_RADIUS_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
PAM_RADIUS_CONF_TOOL	:= autoconf
PAM_RADIUS_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

PAM_RADIUS_CONF_OPT2	:= --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib  --host=arm-v5te-linux-gnueabi --build=i686-host-linux-gnu
$(STATEDIR)/pam_radius.prepare:
	@$(call targetinfo)
	@$(call clean, $(PAM_RADIUS_DIR)/config.cache)
	cd $(PAM_RADIUS_DIR) && \
		$(PAM_RADIUS_PATH) $(PAM_RADIUS_ENV) \
		./configure $(PAM_RADIUS_CONF_OPT2)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/pam_radius.compile:
	@$(call targetinfo)
	@$(call world/compile, PAM_RADIUS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/pam_radius.install:
	@$(call targetinfo)
#	@$(call world/install, PAM_RADIUS)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/pam_radius.targetinstall:
	@$(call targetinfo)

	@$(call install_init, pam_radius)
	@$(call install_fixup, pam_radius,PRIORITY,optional)
	@$(call install_fixup, pam_radius,SECTION,base)
	@$(call install_fixup, pam_radius,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, pam_radius,DESCRIPTION,missing)

	@$(call install_copy, pam_radius, 0, 0, 0755, $(PAM_RADIUS_DIR)/pam_radius_auth.so, /usr/lib/pam_radius_auth.so)
	@$(call install_copy, pam_radius, 0, 0, 0644, $(PAM_RADIUS_DIR)/pam_radius_auth.conf, /etc/pam_radius_auth.conf)

	@$(call install_finish, pam_radius)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/pam_radius.clean:
	@$(call targetinfo)
	@$(call clean_pkg, PAM_RADIUS)

# vim: syntax=make
