# -*-makefile-*-
#
# Copyright (C) 2021 by Marc Kleine-Budde <mkl@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PAM_TACPLUS) += pam_tacplus

#
# Paths and names
#
PAM_TACPLUS_VERSION	:= 1.6.1
PAM_TACPLUS_MD5		:= 44cf04ef2954d9c75bb741ca40635ea0
PAM_TACPLUS		:= pam_tacplus-$(PAM_TACPLUS_VERSION)
PAM_TACPLUS_SUFFIX	:= tar.gz
PAM_TACPLUS_URL		:= https://github.com/kravietz/pam_tacplus/archive/refs/tags/v$(PAM_TACPLUS_VERSION).$(PAM_TACPLUS_SUFFIX)
PAM_TACPLUS_SOURCE	:= $(SRCDIR)/$(PAM_TACPLUS).$(PAM_TACPLUS_SUFFIX)
PAM_TACPLUS_DIR		:= $(BUILDDIR)/$(PAM_TACPLUS)
PAM_TACPLUS_LICENSE	:= GPLv2

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

PAM_TACPLUS_CONF_TOOL	:= autoconf
PAM_TACPLUS_CONF_OPT	:= \
	$(CROSS_AUTOCONF_USR) \
	--enable-pamdir=/usr/lib

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/pam_tacplus.targetinstall:
	@$(call targetinfo)

	@$(call install_init, pam_tacplus)
	@$(call install_fixup, pam_tacplus,PRIORITY,optional)
	@$(call install_fixup, pam_tacplus,SECTION,base)
	@$(call install_fixup, pam_tacplus,AUTHOR,"Marc Kleine-Budde <mkl@pengutronix.de>")
	@$(call install_fixup, pam_tacplus,DESCRIPTION,missing)

	@$(call install_lib, pam_tacplus, 0, 0, 0644, libtac)
	@$(call install_lib, pam_tacplus, 0, 0, 0644, pam_tacplus)

	@$(call install_finish, pam_tacplus)

	@$(call touch)

# vim: syntax=make
