# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PRODUCTION_PACKAGE) += production-package

#
# Paths and names
#
PRODUCTION_PACKAGE_VERSION	:= 0.01
PRODUCTION_PACKAGE_MD5		:=
PRODUCTION_PACKAGE		:= production-package
PRODUCTION_PACKAGE_URL		:= file://local_src//$(PRODUCTION_PACKAGE)
PRODUCTION_PACKAGE_DIR		:= $(BUILDDIR)/$(PRODUCTION_PACKAGE)
PRODUCTION_PACKAGE_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(PRODUCTION_PACKAGE_SOURCE):
#	@$(call targetinfo)
#	@$(call get, PRODUCTION_PACKAGE)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#PRODUCTION_PACKAGE_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#PRODUCTION_PACKAGE_CONF_TOOL	:= autoconf
#PRODUCTION_PACKAGE_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

$(STATEDIR)/production-package.prepare:
	@$(call targetinfo)
#	@$(call clean, $(PRODUCTION_PACKAGE_DIR)/config.cache)
#	cd $(PRODUCTION_PACKAGE_DIR) && \
#		$(PRODUCTION_PACKAGE_PATH) $(PRODUCTION_PACKAGE_ENV) \
#		./configure $(PRODUCTION_PACKAGE_CONF_OPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/production-package.compile:
	@$(call targetinfo)
#	@$(call world/compile, PRODUCTION_PACKAGE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/production-package.install:
	@$(call targetinfo)
#	@$(call world/install, PRODUCTION_PACKAGE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/production-package.targetinstall:
	@$(call targetinfo)

	@$(call install_init, production-package)
	@$(call install_fixup, production-package,PRIORITY,optional)
	@$(call install_fixup, production-package,SECTION,base)
	@$(call install_fixup, production-package,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, production-package,DESCRIPTION,missing)

ifdef PTXCONF_PRODUCTION_PACKAGE_START_IN_PRODUCTION_MODE
	@$(call install_copy, production-package, 0, 0, 0640, \
	$(PTXDIST_WORKSPACE)/projectroot/etc/production_mode, \
		/etc/production_mode)
endif
ifdef PTXCONF_PRODUCTION_PACKAGE_ROOTFS_PASSWD
	@$(call install_alternative, production-package, 0, 0, 0644, /etc/passwd)
endif
ifdef PTXCONF_PRODUCTION_PACKAGE_ROOTFS_SHADOW
	@$(call install_alternative, production-package, 0, 0, 0640, /etc/shadow)
endif
ifdef PTXCONF_PRODUCTION_PACKAGE_ROOTFS_GROUP
	@$(call install_alternative, production-package, 0, 0, 0644, /etc/group)
endif

	@$(call install_finish, production-package)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/production-package.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, PRODUCTION_PACKAGE)

# vim: syntax=make
