# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_QUAGGA) += quagga

#
# Paths and names
#
QUAGGA_VERSION	:= 0.99.23
QUAGGA_MD5		:= d17145e62b6ea14f0f13bb63f59e5166
QUAGGA		:= quagga-$(QUAGGA_VERSION)
QUAGGA_SUFFIX	:= tar.gz
QUAGGA_URL		:= http://download.savannah.gnu.org/releases/quagga/$(QUAGGA).$(QUAGGA_SUFFIX)
QUAGGA_SOURCE	:= $(SRCDIR)/$(QUAGGA).$(QUAGGA_SUFFIX)
QUAGGA_DIR		:= $(BUILDDIR)/$(QUAGGA)
QUAGGA_LICENSE	:= gplv2

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(QUAGGA_SOURCE):
#	@$(call targetinfo)
#	@$(call get, QUAGGA)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

QUAGGA_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
QUAGGA_CONF_TOOL	:= autoconf
#QUAGGA_CONF_OPT	:= --enable-netlink

#$(STATEDIR)/quagga.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(QUAGGA_DIR)/config.cache)
#	cd $(QUAGGA_DIR) && \
#		$(QUAGGA_PATH) $(QUAGGA_ENV) \
#		./configure $(QUAGGA_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/quagga.compile:
#	@$(call targetinfo)
#	@$(call world/compile, QUAGGA)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/quagga.install:
#	@$(call targetinfo)
#	@$(call world/install, QUAGGA)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/quagga.targetinstall:
	@$(call targetinfo)

	@$(call install_init, quagga)
	@$(call install_fixup, quagga,PRIORITY,optional)
	@$(call install_fixup, quagga,SECTION,base)
	@$(call install_fixup, quagga,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, quagga,DESCRIPTION,missing)

	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/ripd/ripd, /usr/bin/ripd)
	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/zebra/zebra, /usr/bin/zebra)
	@$(call install_copy, quagga, 0, 0, 0644, $(QUAGGA_DIR)/ripd/ripd.conf.sample, /etc/ripd.conf)
	@$(call install_copy, quagga, 0, 0, 0644, $(QUAGGA_DIR)/zebra/zebra.conf.sample, /etc/zebra.conf)
	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/lib/.libs/libzebra.so.0.0.0, /usr/lib/libzebra.so.0.0.0)
	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/lib/.libs/libzebra.so.0, /usr/lib/libzebra.so.0)
	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/lib/.libs/libzebra.so, /usr/lib/libzebra.so)
	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/ospfd/ospfd, /usr/bin/ospfd)
	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/ospfclient/ospfclient, /usr/bin/ospfclient)
	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/ospf6d/ospf6d, /usr/bin/ospf6d)
	@$(call install_copy, quagga, 0, 0, 0755, $(QUAGGA_DIR)/watchquagga/watchquagga, /usr/bin/watchquagga)

	@$(call install_finish, quagga)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/quagga.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, QUAGGA)

# vim: syntax=make
