# -*-makefile-*-
#
# Copyright (C) 2013 by Marc Kleine-Budde <mkl@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_REFPOLICY) += refpolicy

#
# Paths and names
#
REFPOLICY_VERSION	:= 2.20110726
REFPOLICY_MD5		:= 2342c290530f6a4e92acbf621fc89c8a
REFPOLICY		:= refpolicy-$(REFPOLICY_VERSION)
REFPOLICY_SUFFIX	:= tar.bz2
REFPOLICY_URL		:= http://oss.tresys.com/files/refpolicy/$(REFPOLICY).$(REFPOLICY_SUFFIX)
REFPOLICY_SOURCE	:= $(SRCDIR)/$(REFPOLICY).$(REFPOLICY_SUFFIX)
REFPOLICY_DIR		:= $(BUILDDIR)/$(REFPOLICY)
REFPOLICY_LICENSE	:= GPLv2

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

REFPOLICY_CONF_TOOL := NO
REFPOLICY_MAKE_ENV := \
	CHECKPOLICY=checkpolicy \
	CHECKMODULE=checkmodule \
	SEMOD_PKG=semodule_package \
	SEMODULE=semodule
REFPOLICY_MAKE_PAR := NO
REFPOLICY_POLICY := default
REFPOLICY_OPT := \
	QUIET=$(call ptx/ifeq, PTXDIST_VERBOSE, 1, n, y) \
	DISTRO=debian \
	DIRECT_INITRC=y \
	MONOLITHIC=n \
	NAME=$(REFPOLICY_POLICY) \
	TYPE=mcs
REFPOLICY_MAKE_OPT := \
	$(REFPOLICY_OPT) \
	policy
REFPOLICY_INSTALL_OPT := \
	$(REFPOLICY_OPT) \
	install \
	$(REFPOLICY_PKGDIR)/etc/selinux/$(REFPOLICY_POLICY)/users/local.users \
	$(REFPOLICY_PKGDIR)/etc/selinux/$(REFPOLICY_POLICY)/users/system.users

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/refpolicy.prepare:
	@$(call targetinfo)
	@$(call compile, REFPOLICY, bare)
	@cp -v $(call ptx/get_alternative, config/refpolicy, build.conf.$(REFPOLICY_POLICY)) \
		$(REFPOLICY_DIR)/build.conf
	@$(call compile, REFPOLICY, $(REFPOLICY_OPT) conf)
	@cp -v $(call ptx/get_alternative, config/refpolicy, modules.conf.$(REFPOLICY_POLICY)) \
		$(REFPOLICY_DIR)/policy/modules.conf
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

REFPOLICY_MODULE_DIR := $(REFPOLICY_PKGDIR)/usr/share/selinux/$(REFPOLICY_POLICY)
REFPOLICY_MODULES :=smgw.pp

$(STATEDIR)/refpolicy.install:
	@$(call targetinfo)
	@$(call world/install, REFPOLICY)
	@install -d $(REFPOLICY_PKGDIR)/etc/selinux/$(REFPOLICY_POLICY)/policy
	@$(call semanage/conf_helper, $(REFPOLICY_PKGDIR))
############################## DNT 20.03.2013 ##################################################
#
# Parameter -D sorgt dafür, dass alle noaudits zu audits werden, sollte später wieder raus oder nich ?
	@semodule -D -v -p $(REFPOLICY_PKGDIR) -s $(REFPOLICY_POLICY) \
		-b $(REFPOLICY_MODULE_DIR)/base.pp \
		$(addprefix -i $(REFPOLICY_MODULE_DIR)/,$(REFPOLICY_MODULES))
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/refpolicy.targetinstall:
	@$(call targetinfo)

	@$(call install_init, refpolicy)
	@$(call install_fixup, refpolicy,PRIORITY,optional)
	@$(call install_fixup, refpolicy,SECTION,base)
	@$(call install_fixup, refpolicy,AUTHOR,"Marc Kleine-Budde <mkl@pengutronix.de>")
	@$(call install_fixup, refpolicy,DESCRIPTION,missing)

	@$(call install_copy, refpolicy, 0, 0, 0755, /etc/selinux/$(REFPOLICY_POLICY)/modules)
	@$(call install_copy, refpolicy, 0, 0, 0700, /etc/selinux/$(REFPOLICY_POLICY)/modules/active)
	@$(call install_copy, refpolicy, 0, 0, 0700, /etc/selinux/$(REFPOLICY_POLICY)/modules/active/modules)

#dnt: Auf die Installation aller Module auf dem Target kann verzichtet werden
#	@$(call install_tree, refpolicy, 0, 0, -, /usr)
	@$(call install_tree, refpolicy, 0, 0, -, /etc/selinux/$(REFPOLICY_POLICY))

	@$(call install_alternative, refpolicy, 0, 0, 0644, /etc/selinux/$(REFPOLICY_POLICY)/setrans.conf)
	@$(call install_alternative, refpolicy, 0, 0, 0644, /etc/selinux/config)
	@$(call install_replace, refpolicy, /etc/selinux/config, \
		@POLICY@, $(REFPOLICY_POLICY))

	@$(call install_finish, refpolicy)

	@$(call touch)

# vim: syntax=make
