# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_RSTP) += rstp

#
# Paths and names
#
RSTP_VERSION	:= 0.16
RSTP_MD5		:=
RSTP		:= rstp
RSTP_SUFFIX	:= 
RSTP_URL		:= lndir://$(PTXDIST_WORKSPACE)/local_src/$(RSTP)
#RSTP_SOURCE	:= $(SRCDIR)/$(RSTP).$(RSTP_SUFFIX)
RSTP_DIR		:= $(BUILDDIR)/$(RSTP)
RSTP_LICENSE	:= GPLv2

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(RSTP_SOURCE):
#	@$(call targetinfo)
#	@$(call get, RSTP)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

RSTP_PATH	:= PATH=$(CROSS_PATH)
RSTP_PATH_CONF_TOOL	:= NO
RSTP_MAKE_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#RSTP_CONF_TOOL	:= autoconf
RSTP_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/rstp.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(RSTP_DIR)/config.cache)
#	cd $(RSTP_DIR) && \
#		$(RSTP_PATH) $(RSTP_ENV) \
#		./configure $(RSTP_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/rstp.compile:
#	@$(call targetinfo)
#	@$(call world/compile, RSTP)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/rstp.install:
#	@$(call targetinfo)
#	@$(call world/install, RSTP)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/rstp.targetinstall:
	@$(call targetinfo)

	@$(call install_init, rstp)
	@$(call install_fixup, rstp,PRIORITY,optional)
	@$(call install_fixup, rstp,SECTION,base)
	@$(call install_fixup, rstp,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, rstp,DESCRIPTION,missing)

	@$(call install_copy, rstp, 0, 0, 0755, $(RSTP_DIR)/rstpd, /sbin/rstpd)
	@$(call install_copy, rstp, 0, 0, 0755, $(RSTP_DIR)/rstpctl, /sbin/rstpctl)
	@$(call install_copy, rstp, 0, 0, 0755, $(RSTP_DIR)/bridge, /sbin/bridge)
	@$(call install_copy, rstp, 0, 0, 0755, $(RSTP_DIR)/bridge-stp, /sbin/bridge-stp)

	@$(call install_finish, rstp)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/rstp.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, RSTP)

# vim: syntax=make
