# -*-makefile-*-
#
# Copyright (C) 2013 by Michael Grzeschik <mgr@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

PACKAGES-$(PTXCONF_SOCAT_RFC2217) += socat-rfc2217

#
# Paths and names
#

SOCAT_RFC2217_VERSION	:= 1.6.0.0
SOCAT_RFC2217_MD5	:= 1c223880febe6d55703739a1c0fea27d
SOCAT_RFC2217		:= socat-$(SOCAT_RFC2217_VERSION)
SOCAT_RFC2217_SUFFIX	:= tar.gz
SOCAT_RFC2217_URL	:= http://www.dest-unreach.org/socat/download/Archive/$(SOCAT_RFC2217).$(SOCAT_RFC2217_SUFFIX)
SOCAT_RFC2217_SOURCE	:= $(SRCDIR)/$(SOCAT_RFC2217).$(SOCAT_RFC2217_SUFFIX)
SOCAT_RFC2217_DIR	:= $(BUILDDIR)/$(SOCAT_RFC2217)
SOCAT_RFC2217_LICENSE	:= GPL-2.0

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# autoconf
#
SOCAT_RFC2217_CONF_TOOL	:= autoconf
SOCAT_RFC2217_CONF_OPT	:= \
	$(CROSS_AUTOCONF_USR) \
	--enable-help \
	--enable-stdio \
	--enable-fdnum \
	--enable-file \
	--enable-creat \
	--enable-gopen \
	--enable-pipe \
	--enable-termios \
	--enable-unix \
	--enable-abstract-unixsocket \
	--enable-ip4 \
	--$(call ptx/endis, PTXCONF_GLOBAL_IPV6)-ip6 \
	--enable-rawip \
	--enable-genericsocket \
	--enable-interface \
	--enable-tcp \
	--enable-udp \
	--enable-sctp \
	--enable-listen \
	--enable-socks4 \
	--enable-socks4a \
	--enable-proxy \
	--enable-exec \
	--enable-system \
	--enable-pty \
	--enable-ext2 \
	--disable-readline \
	--$(call ptx/endis, PTXCONF_SOCAT_RFC2217_OPENSSL)-openssl \
	--disable-fips \
	--enable-tun \
	--enable-sycls \
	--enable-filan \
	--enable-retry \
	--enable-msglevel=0 \
	--disable-libwrap


# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/socat-rfc2217.targetinstall:
	@$(call targetinfo)

	@$(call install_init, socat-rfc2217)
	@$(call install_fixup, socat-rfc2217,PRIORITY,optional)
	@$(call install_fixup, socat-rfc2217,SECTION,base)
	@$(call install_fixup, socat-rfc2217,AUTHOR,"Michael Grzeschik <mgr@pengutronix.de>")
	@$(call install_fixup, socat-rfc2217,DESCRIPTION,missing)

	@$(call install_copy, socat-rfc2217, 0, 0, 0755, $(SOCAT_RFC2217_DIR)/procan, /usr/bin/procan-rfc2217)
	@$(call install_copy, socat-rfc2217, 0, 0, 0755, $(SOCAT_RFC2217_DIR)/filan, /usr/bin/filan-rfc2217)
	@$(call install_copy, socat-rfc2217, 0, 0, 0755, $(SOCAT_RFC2217_DIR)/socat, /usr/bin/socat-rfc2217)

	@$(call install_finish, socat-rfc2217)

	@$(call touch)

# vim: syntax=make
