# -*-makefile-*-
#
# Copyright (C) 2014 by <mgo>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_SQLCIPHER) += sqlcipher

#
# Paths and names
#
SQLCIPHER_VERSION	:= 3.1.0
SQLCIPHER_MD5		:=
SQLCIPHER		:= sqlcipher-$(SQLCIPHER_VERSION)
SQLCIPHER_SUFFIX	:= tar.gz
SQLCIPHER_URL		:= /$(SQLCIPHER).$(SQLCIPHER_SUFFIX)
SQLCIPHER_SOURCE	:= $(SRCDIR)/$(SQLCIPHER).$(SQLCIPHER_SUFFIX)
SQLCIPHER_DIR		:= $(BUILDDIR)/$(SQLCIPHER)
SQLCIPHER_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(SQLCIPHER_SOURCE):
#	@$(call targetinfo)
#	@$(call get, SQLCIPHER)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#
# autoconf
#
SQLCIPHER_CONF_TOOL	:= autoconf
SQLCIPHER_CONF_OPT	:= $(CROSS_AUTOCONF_USR) CPPFLAGS="-DSQLITE_HAS_CODEC \
	-DSQLITE_ENABLE_COLUMN_METADATA \
	-DSQLITE_ENABLE_FTS3 \
	-DSQLITE_ENABLE_RTREE=1 \
	-DSQLITE_ENABLE_UNLOCK_NOTIFY \
	-DSQLITE_ENABLE_UPDATE_DELETE_LIMIT=1\
	-DSQLITE_OMIT_LOOKASIDE=1 \
	-DSQLITE_SECURE_DELETE \
	-DSQLITE_SOUNDEX=1"

$(STATEDIR)/sqlcipher.prepare:
	@$(call targetinfo)
	@$(call clean, $(SQLCIPHER_DIR)/config.cache)
	cd $(SQLCIPHER_DIR) && \
		$(SQLCIPHER_PATH) $(SQLCIPHER_ENV) \
		./configure $(SQLCIPHER_CONF_OPT) \
			--enable-tempstore=yes \						
			--disable-tcl
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/sqlcipher.compile:
#	@$(call targetinfo)
#	@$(call world/compile, SQLCIPHER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/sqlcipher.install:
#	@$(call targetinfo)
#	@$(call world/install, SQLCIPHER)
#	cp $(PTXDIST_PATH_SYSROOT)/usr/lib/libsqlcipher.so $(PTXDIST_PATH_SYSROOT)/usr/lib/libsql3.so
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/sqlcipher.targetinstall:
	@$(call targetinfo)

	@$(call install_init, sqlcipher)
	@$(call install_fixup, sqlcipher,PRIORITY,optional)
	@$(call install_fixup, sqlcipher,SECTION,base)
	@$(call install_fixup, sqlcipher,AUTHOR,"<mgo>")
	@$(call install_fixup, sqlcipher,DESCRIPTION,missing)

	@$(call install_lib, sqlcipher, 0, 0, 0644, libsqlcipher)
	#cp $(PTXDIST_PATH_SYSROOT)/usr/lib/libsqlcipher.so $(PTXDIST_PATH_SYSROOT)/usr/lib/libsqlite3.so
	#cp $(PTXDIST_PATH_SYSROOT)/usr/include/sqlcipher/* $(PTXDIST_PATH_SYSROOT)/usr/include

	#@$(call install_copy, sqlcipher, 0, 0, 0640, \
	#	$(BUILDDIR)/$(SQLCIPHER)/.libs/libsqlcipher.so, /usr/lib/libsqlite3.so)
	#@$(call install_link, sqlcipher, /usr/lib/libsqlite3.so, /usr/lib/libsqlcipher.so.0)	

	@$(call install_finish, sqlcipher)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/sqlcipher.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, SQLCIPHER)

# vim: syntax=make
