# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_SSCEP) += sscep

#
# Paths and names
#
SSCEP_VERSION	:= 0.6.1
SSCEP_MD5	:= b1cf90e2cb0b01cfacf721796daf2159
SSCEP		:= sscep-$(SSCEP_VERSION)
SSCEP_SUFFIX	:= tar.gz
SSCEP_URL	:= https://github.com/certnanny/sscep/archive/v$(SSCEP_VERSION).$(SSCEP_SUFFIX)
SSCEP_SOURCE	:= $(SRCDIR)/$(SSCEP).$(SSCEP_SUFFIX)
SSCEP_DIR	:= $(BUILDDIR)/$(SSCEP)
SSCEP_LICENSE	:= OpenSSL License, SSLeay, OpenOSP


# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

SSCEP_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
#SSCEP_CONF_TOOL	:= autoconf
SSCEP_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

$(STATEDIR)/sscep.prepare:
	@$(call targetinfo)
	@$(call clean, $(SSCEP_DIR)/config.cache)
	cd $(SSCEP_DIR) && \
		$(SSCEP_PATH) $(SSCEP_ENV) \
		./Configure $(SSCEP_CONF_OPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/sscep.compile:
	@$(call targetinfo)
	@$(call world/compile, SSCEP)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/sscep.install:
	@$(call targetinfo)
	@$(call world/install, SSCEP)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/sscep.targetinstall:
	@$(call targetinfo)

	@$(call install_init, sscep)
	@$(call install_fixup, sscep,PRIORITY,optional)
	@$(call install_fixup, sscep,SECTION,base)
	@$(call install_fixup, sscep,AUTHOR,"<oliver.graute@neuhaus.de>")
	@$(call install_fixup, sscep,DESCRIPTION,missing)

	@$(call install_copy, sscep, 0, 0, 0755, $(SSCEP_DIR)/sscep_dyn, /usr/bin/sscep_dyn)
	@$(call install_copy, sscep, 0, 0, 0755, $(SSCEP_DIR)/sscep_static, /usr/bin/sscep)
	@$(call install_copy, sscep, 0, 0, 0644, $(SSCEP_DIR)/sscep.conf, /etc/sscep.conf)

	@$(call install_finish, sscep)

	@$(call touch)

# vim: syntax=make
