# -*-makefile-*-
#
# Copyright (C) 2015 Dr. Neuhaus Telekommunikation GmbH, Hamburg Germany, Oliver Graute <oliver.graute@neuhaus.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_VRRPD) += vrrpd

#
# Paths and names
#
VRRPD_VERSION	:= 1.13
VRRPD_MD5	:= c77e5424407e9a40abfd7d95c16336d6
VRRPD		:= Vrrpd-$(VRRPD_VERSION)
VRRPD_SUFFIX	:= tar.gz
VRRPD_URL	:= https://github.com/fredbcode/Vrrpd/archive/v$(VRRPD_VERSION).$(VRRPD_SUFFIX)
VRRPD_SOURCE	:= $(SRCDIR)/$(VRRPD).$(VRRPD_SUFFIX)
VRRPD_DIR	:= $(BUILDDIR)/$(VRRPD)
VRRPD_LICENSE	:= GPLv2

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

VRRPD_CONF_ENV	:= $(CROSS_ENV)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/vrrpd.compile:
	@$(call targetinfo)
	@$(call world/compile, VRRPD)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/vrrpd.install:
#	@$(call targetinfo)
#	@$(call world/install, VRRPD)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/vrrpd.targetinstall:
	@$(call targetinfo)

	@$(call install_init, vrrpd)
	@$(call install_fixup, vrrpd,PRIORITY,optional)
	@$(call install_fixup, vrrpd,SECTION,base)
	@$(call install_fixup, vrrpd,AUTHOR,"oliver.graute@neuhaus.de")
	@$(call install_fixup, vrrpd,DESCRIPTION,missing)

	@$(call install_copy, vrrpd, 0, 0, 0755, $(VRRPD_DIR)/vrrpd, /usr/sbin/vrrpd)
	@$(call install_copy, vrrpd, 0, 0, 0755, $(VRRPD_DIR)/atropos, /usr/sbin/atropos)

	@$(call install_finish, vrrpd)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/vrrpd.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, VRRPD)

# vim: syntax=make
