#!/bin/bash

VERSION_TAG=$2

set_ptxdist_version() {
	ln -sf "/usr/local/bin/ptxdist-$1" p
}

ptxdist() {
	./p "$@"
}

dnt3202_version() {
	if [ "$1" == "dnt3202" ]; then
		echo "Build Version Tag: $VERSION_TAG"
		echo $VERSION_TAG > projectroot/etc/system.version

		rm -f configs/platform-dnt3202/customkey.txt
		if [ -e /media/truecrypt1/hab4_cst/fsl_cst/tainy_mx28_linux/customkey.txt ]; then
			ln -sf /media/truecrypt1/hab4_cst/fsl_cst/tainy_mx28_linux/customkey.txt configs/platform-dnt3202/customkey.txt
		fi
	fi
}

case "$1" in
	dnt8209|dnt8223|dnt8209initramfs|dnt3202initramfs|dnt3202|dnt3196|dnt8196|imx28evk)
		echo "select $1"

		set_ptxdist_version 2013.06.0
		rm -f projectroot
		
		ln -sf configs/platform-$1/projectroot projectroot
		dnt3202_version $1

		ptxdist select configs/ptxconfig.$1
		ptxdist platform configs/platform-$1/platformconfig
		;;

	dnt8209v3|dnt8209lte)
		echo "select $1"

		set_ptxdist_version 2013.06.0
		rm -f projectroot
		ln -sf configs/platform-$1/projectroot projectroot

		ptxdist select configs/ptxconfig.dnt8209
		ptxdist platform configs/platform-$1/platformconfig
		;;

	clean)
		rm -f projectroot selected_toolchain p selected_platformconfig selected_ptxconfig
		rm -rf platform-*
		;;

	*)
		echo ""
		echo "What shall I do? Try one off the following possiblities..."
		echo ""
		echo "	dnt8209          - select ptxdist configuration"
		echo "	dnt8223          - select ptxdist configuration"
		echo "	dnt8209v3        - select ptxdist configuration"
		echo "	dnt8209lte       - select ptxdist configuration"
		echo "	dnt8209initramfs - select ptxdist configuration"
		echo "	dnt3196          - select ptxdist configuration"
		echo "	dnt8196          - select ptxdist configuration"
		echo "	imx28evk         - select ptxdist configuration"
		echo "	dnt3202initramfs - select ptxdist configuration"
		echo "	dnt3202          - select ptxdist configuration"
		echo ""
		;;

esac
